<%
function Shell_ActionsPane_CreateHTML( oShell )
{
var objRootFolder = new PrjTreeControlFolder('idTreeControl');
var objFolder;
if (oPJSession.sIsOnline)
{
if (oPJSession.oUser.bIsAdmin)
{
objFolder = objRootFolder.AddFolder( 'idOverviewAdminTC',     oStrings.GetString(IDS_SHELL_ADMIN_OVERVIEW),       objRootFolder.stateExpanded, null, '../admin/admin.asp' );
objFolder = objRootFolder.AddFolder( 'idUserAdminTC',         oStrings.GetString(IDS_SHELL_ADMIN_USER),           objRootFolder.stateExpanded, null, '../Admin/users.asp' );
objFolder = objRootFolder.AddFolder( 'idDBAdminTC',           oStrings.GetString(IDS_ADMIN_DATABASE),             objRootFolder.stateExpanded, null, '../admin/dbcleanup.asp' );
objFolder = objRootFolder.AddFolder( 'idCustomizeTC',         oStrings.GetString(IDS_SHELL_ADMIN_CUSTOMIZE),      objRootFolder.stateExpanded, null, '../admin/admin.asp' );
objFolder.AddItem( 'idCalendarAdminTC',                       oStrings.GetString(IDS_SHELL_ADMIN_CALENDAR),       null, 'calendar.asp' );
objFolder.AddItem( 'idGanttAdminTC',                          oStrings.GetString(IDS_SHELL_ADMIN_GANTT),          null, 'defineGantt.asp' );
objFolder.AddItem( 'idTaskAdminTC',                           oStrings.GetString(IDS_SHELL_ADMIN_DELEGATE),       null, 'delegate.asp' );
objFolder.AddItem( 'idSecurityAdminTC',                       oStrings.GetString(IDS_SHELL_ADMIN_NEW_ACCOUNT),    null, 'security.asp' );
objFolder.AddItem( 'idAuthenticateAdminTC',                   oStrings.GetString(IDS_SHELL_ADMIN_LOGON),          null, 'authenticate.asp' );
objFolder.AddItem( 'idThemeAdminTC',                          oStrings.GetString(IDS_SHELL_ADMIN_THEME),          null, 'theme.asp' );
objFolder = objRootFolder.AddFolder( 'idViewsTC',             oStrings.GetString(IDS_SHELL_ADMIN_VIEW),           objRootFolder.stateExpanded, null, 'views_overview.asp' );
objFolder.AddItem( 'idViewsOverviewTC',                       oStrings.GetString(IDS_SHELL_ADMIN_VIEWS_OVERVIEW), null, 'views_overview.asp' );
objFolder.AddItem( 'idViewsDSNTC',                            oStrings.GetString(IDS_SHELL_ADMIN_DEFINEVIEWSDSN), null, 'DefineViewsDSN.asp' );
objFolder.AddItem( 'idViewsAdminTC',                          oStrings.GetString(IDS_SHELL_ADMIN_DEFINEVIEW),     null, 'views_specify.asp' );
objFolder.AddItem( 'idViewsCategoryTC',                       oStrings.GetString(IDS_SHELL_ADMIN_DEFINECATEGORY), null, 'DefineCategory.asp' );
objFolder.AddItem( 'idViewsUserPermsTC',                      oStrings.GetString(IDS_SHELL_ADMIN_SETCATFORUSER),  null, 'viewperms_specify.asp' );
objFolder = objRootFolder.AddFolder( 'idModeAdminTC' ,        oStrings.GetString(IDS_SHELL_ADMIN_MODE),          objRootFolder.stateExpanded, null, '../admin/mode.asp' );
}
}      
var aID = ['idOverviewAdminTC', 'idUserAdminTC', 'idDBAdminTC', 'idCustomizeTC', 'idViewsTC'];
objRootFolder.Restore( oShell[const_shKeyAdmin].split('|')[3], aID );
return objRootFolder.CreateHTML();
}
function Shell_PrjMenuBar_GetCurrentItemID()
{
return 'idAdministrationMB';
}
function Shell_GetState( oShell )
{
if (oShell[const_shKeyAdmin].length)
{
var aValues = oShell[const_shKeyAdmin].split('|');
if (aValues.length > 2)
{
oShell[const_apKeyState] = aValues[0];
oShell[const_apKeyWidth] = aValues[1];
oShell[const_hpKeyOpen]  = aValues[2];
}  
}
} 
%>
<SCRIPT LANGUAGE="JScript">
function Workspace_SaveState( oPJCookies )
{
var sValue = document.all.idActionsPane.MSPRJ_state + '|';
sValue += ((document.all.idActionsPane.MSPRJ_state == const_apStateCollapsed) ? document.all.idActionsPane.MSPRJ_restoreWidth : document.all.idActionsPane.offsetWidth) + '|';
sValue += ((document.all.idHelpPaneContent.style.display == 'none') ? const_hpStateClosed : const_hpStateOpen) + '|';
var aID = ['idOverviewAdminTC', 'idUserAdminTC', 'idDBAdminTC', 'idCustomizeTC', 'idViewsTC'];
sValue += document.all.idTreeControl.Persist( aID );
if (typeof(Admin_SaveState) != 'undefined')
{
sValue += '|' + Admin_SaveState();
}
else
{
sValue += "|<%=oShell[const_shKeyAdmin].split('|')[4]%>";
}  
oPJCookies.Set( const_shKeyAdmin, sValue );
}  
</SCRIPT>
<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
