<SCRIPT LANGUAGE="JScript" RUNAT="Server">
function LocalizedStrings()
{
this.aStringTables = new Array;
this.oResMgr = Application('resMgr');
var sAppPath = ApplicationPhysicalPath();
var sAcceptLang = Request.ServerVariables('HTTP_ACCEPT_LANGUAGE');
this.sLCID       = this.oResMgr.BrowserLCID( sAcceptLang, sAppPath );
this.sLCID_CLSID = this.oResMgr.LangCLSID( this.sLCID, sAppPath );
Session.LCID     = this.oResMgr.BrowserLCID( sAcceptLang, sAppPath, false );
Session.CodePage = this.oResMgr.DefaultCPFromLCID(Session.LCID);
this.sCharSet    = this.oResMgr.DefaultCharSetFromCP(Session.CodePage);
this.sLanguageDLLCodebase = ApplicationVirtualPath() + const_ProjLangDir + 
this.sLCID + '/' + const_ProjLangCab + 
'#version=' + const_ProjLang_version;
this.sTextConvDLLCodebase = ApplicationVirtualPath() + const_AtlConvCab +
'#version=' + const_ATLConv_version;
this.oTextConv = Server.CreateObject('TextConv.TextConv');
this.oTextConv.InitializeEx( this.sLCID );
if (Request.Form('regsettings').Count)
Session(const_sessionRegSettings) = Request.Form( 'regsettings').Item
this.oTextConv.SetRegionalSettings( Session( const_sessionRegSettings ), this.sLCID );
this.oTextConv.SetDateType( 0 );
this.sListSep = this.oTextConv.ListSep;
this.sDfmt = '';
this.ConvVar            = LocalizedStrings_ConvVar;
this.SetDateType        = LocalizedStrings_SetDateType;
this.LoadStringTable    = LocalizedStrings_LoadStringTable;
this.ReleaseStringTable = LocalizedStrings_ReleaseStringTable;
this.HTMLEncode         = PJStrings_HTMLEncode; 
this.SearchAndReplace   = PJStrings_SearchAndReplace;
}
function LocalizedStrings_LoadStringTable( nStringTableID, bIsFakeStringTable )
{
if ((typeof(nStringTableID) != 'undefined') && (nStringTableID != null))
{
if ((typeof(this.aStringTables[nStringTableID]) != 'undefined') && 
(this.aStringTables[nStringTableID] != null))
{
this.aStringTables[nStringTableID].nReferenceCount++;
return this.aStringTables[nStringTableID];
}  
this.aStringTables[nStringTableID] = new PJStrings( this, nStringTableID, this.oResMgr.StringTables( nStringTableID, this.sLCID ) );
return this.aStringTables[nStringTableID];
}
return null;
}
function LocalizedStrings_ReleaseStringTable( nStringTableID )
{
if ((typeof(this.aStringTables[nStringTableID]) != 'undefined') && 
(this.aStringTables[nStringTableID] != null))
{
this.aStringTables[nStringTableID].nReferenceCount--;
if (this.aStringTables[nStringTableID].nReferenceCount == 0)
{
this.aStringTables[nStringTableID].oStringTable = null; 
this.aStringTables[nStringTableID] = null;
delete this.aStringTables[nStringTableID];
this.length--;
}  
}
}
function LocalizedStrings_ConvVar( type, variable )
{
var fmt;
return this.oTextConv.ConvVar( type, variable, fmt );
}
function LocalizedStrings_SetDateType( nDateType )
{
return this.oTextConv.SetDateType( nDateType );
}
function PJStrings( oLocalizedStrings, nStringTableID, oStringTable )
{
var oThis = new Array;
oThis.nReferenceCount     = 1;
oThis.nStringTableID      = nStringTableID;
oThis.oStringTable        = oStringTable;
oThis.sLCID               = oLocalizedStrings.sLCID;
oThis.GetString        = PJStrings_GetString;
oThis.GetStringAsHTML  = PJStrings_GetStringAsHTML
oThis.AddString        = PJStrings_AddString;
oThis.HTMLEncode       = PJStrings_HTMLEncode;
oThis.SearchAndReplace = PJStrings_SearchAndReplace;
return oThis;
}
function PJStrings_GetString( nStringID ) 
{
sString = this.oStringTable.Strings( nStringID, this.sLCID );
if (arguments.length > 1)
{
var oRegExp;
for(var i=arguments.length-1;i > 0;i--)
{
oRegExp = new RegExp('\\^' + i);
sString = sString.replace( oRegExp, arguments[i] );
}  
}
return sString;
}
function PJStrings_GetStringAsHTML( nStringID, bReplaceSpaceWithEntity ) 
{
sString = this.oStringTable.Strings( nStringID, this.sLCID );
if (arguments.length > 2)
{
var oRegExp;
for(var i=arguments.length-1;i > 1;i--)
{
oRegExp = new RegExp('\\^' + (i-1));
sString = sString.replace( oRegExp, arguments[i] );
}  
}
return this.HTMLEncode( sString, bReplaceSpaceWithEntity );
}
function PJStrings_SearchAndReplace( sString ) 
{
if (arguments.length > 1)
{
var oRegExp;
for(var i=arguments.length-1;i > 0;i--)
{
oRegExp = new RegExp('\\^' + i);
sString = sString.replace( oRegExp, arguments[i] );
}  
}
return sString;
}
function PJStrings_AddString( nStringID, sLocalizedString )
{
this[String(this.nStringTableID) + '-' + String(nStringID)] = sLocalizedString;
this.length++;
}
function PJStrings_HTMLEncode( sString, bReplaceSpaceWithEntity )
{
if (sString == null)
return "";
var sStr = oLocalizedStrings.oResMgr.EncodeHTML(sString);
if (bReplaceSpaceWithEntity)
sStr = sStr.replace(/ /, '&nbsp;');
return sStr;  
}
</SCRIPT>

<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
