<SCRIPT LANGUAGE="JScript" RUNAT="Server">
function User()
{
this.sName                    = User_GetSessionName();
this.nUserID                  = User_GetSessionUserID();
this.bIsNTLogon               = User_GetSessionIsNTLogon();
this.nCookieLong0             = User_GetSessionCookieLong0();
this.nCookieLong1             = User_GetSessionCookieLong1();
this.bIsAdmin                 = User_GetSessionIsAdmin(); 
this.bIsManager               = User_GetSessionIsManager();
this.sCookie                  = escape(Request.ServerVariables('SERVER_NAME').Item + '/' + this.nUserID).replace(/[;:]/g,'');
this.bIsOffline               = (typeof(Request.Cookies.Item(this.sCookie)(const_shKeyOffline)) != 'undefined') ? (Request.Cookies.Item(this.sCookie)(const_shKeyOffline) == const_shStateOffline) : const_shStateOnline;
this.bCookieActive            = false;
this.bIsActiveDesktop         = false;
this.GetURLString             = User_GetURLString;
this.Authenticate             = User_Authenticate;
this.ClearAuthenticated       = User_ClearAuthenticated;
this.LogonProjAccount         = User_LogonProjAccount;  
this.LogonNTAccount           = User_LogonNTAccount; 
this.GetShutDownWarned        = User_GetSessionShutDownWarned;
this.SetShutDownWarned        = User_SetSessionShutDownWarned;
this.SetName                  = User_SetSessionName;
this.SetUserID                = User_SetSessionUserID;
this.SetIsNTLogon             = User_SetSessionIsNTLogon;
this.SetCookieLong0           = User_SetSessionCookieLong0;
this.SetCookieLong1           = User_SetSessionCookieLong1;  
this.SetCookieLongs           = User_SetSessionCookieLongs;
this.SetIsAdmin               = User_SetSessionIsAdmin;
this.SetIsManager             = User_SetSessionIsManager;
}
function User_Authenticate(bDontRedirect)
{
var oPJQuery;
var oRSResource = null;
var oRSServer = null;
var fDBEnabled = false;
var nDBCookie0 = -1;
var nDBCookie1 = -1;
var sDBName = '';
var nMode = const_nMode_Exclusive;
var nExclusiveId = -1;
if ((typeof(this.nUserID) == 'undefined') || (this.nUserID == null) || (this.nUserID == -2))
{
if (bDontRedirect == true)
{
return const_nPJWEB_E_EXPIRED;
}  
else
{
var sDir = Request.ServerVariables("SCRIPT_NAME").Item.match(/[/]([^/]*)[/][^/]*$/)[1].toLowerCase();
var aFiles = new Array;
aFiles['statusreports'] = 'Statusreports/statusreports.asp';
aFiles['home']          = 'Home/homepage.asp';
aFiles['tasks']         = 'Tasks/taskspage.asp';
aFiles['admin']         = 'Admin/admin.asp';
aFiles['webcalendar']   = 'Webcalendar/outlook1.asp';
aFiles['views']         = 'Views/viewspage.asp';
if (typeof(aFiles[sDir]) != 'undefined')
{
var startPage   = "http://" + Request.ServerVariables('SERVER_NAME').Item + ((Request.ServerVariables('SERVER_PORT').Item != '80') ? (':' + Request.ServerVariables('SERVER_PORT').Item) : '') + Request.ServerVariables('PATH_INFO').Item.match(/^[/][^/]*[/]/) + "default.asp"
Response.Redirect(startPage + "?DefPage=" + aFiles[sDir])
}
Response.Redirect('../Logon/loginexpired.asp');
}    
}    
oPJQuery = new PJQuery();
oPJQuery.Connect(false);
oRSServer = oPJQuery.OpenRecordset(const_PjQuery_GetAdminLockDownInfo);
if (!oRSServer.EOF())
{
nMode =  oRSServer.GetColumnAsNumber(const_dbRESERVED_DATA3a);
if (nMode == const_nMode_Exclusive) 
nExclusiveId =  oRSServer.GetColumnAsNumber(const_dbRESERVED_DATA4a);
}
oRSResource = oPJQuery.OpenRecordset(const_PjQuery_GetEOrDResourceForResID, this.nUserID);
if (!oRSResource.EOF())
{
fDBEnabled = oRSResource.GetColumnAsBoolean(const_dbWRES_IS_ENABLED);
nDBCookie0 = oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA3a);
nDBCookie1 = oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA4a);
}
oPJQuery.Disconnect(false);
oRSResource = null;
oRSServer = null;
if ( nMode==const_nMode_Exclusive && nExclusiveId!=this.nUserID ) 
{
this.ClearAuthenticated();
if(bDontRedirect == true)
return const_nPJWEB_E_MODE_EXCLUSIVE;
else
Response.Redirect('../Logon/lockdown.asp');
}
else if ( nMode==const_nMode_ToBeShutDown && nExclusiveId!=this.nUserID ) 
{
this.SetShutDownWarned(true);
}
if (this.sName =='' || this.nUserID==-1)
if(bDontRedirect == true)
return const_nS_FALSE;
else
Response.Redirect('../default.asp');
if (this.nCookieLong0 != nDBCookie0 || this.nCookieLong1 != nDBCookie1)
if(bDontRedirect == true)
return const_nPJWEB_E_EXPIRED;
else
Response.Redirect('../logon/loginexpired.asp');
return 0;
}
function User_LogonProjAccount(nUserID, nHashedPwd0, nHashedPwd1)
{
if (arguments.length<1)
return const_nPJWEB_E_INVALID_RESNAME;
else if (arguments.length<3)
return const_nPJWEB_E_INVALID_PASSWORD;
this.ClearAuthenticated();
var sUserName     = '';
var nDBHashedPwd0 = -1;
var nDBHashedPwd1 = -1;
var fDBNTLogon    = 0;
var nDBCookie0    = -1;
var nDBCookie1    = -1;
var fDBAdmin      = 0;
var fDBManager    = 0;
var fDBOffLine    = 1;
var oPJQuery = new PJQuery;
oPJQuery.Connect(false);
var oRSResource = oPJQuery.OpenRecordset(const_PjQuery_GetResIdAuthenInfoForResID, nUserID);
fDBNameFound = !oRSResource.EOF();
if (fDBNameFound)
{
sUserName     =  oRSResource.GetColumn(const_dbRES_NAME);
nDBHashedPwd0 =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA1a);
nDBHashedPwd1 =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA2a);
fDBNTLogon    =  oRSResource.GetColumnAsBoolean(const_dbWRES_USE_NT_LOGON);
nDBCookie0    =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA3a);
nDBCookie1    =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA4a);
fDBAdmin      =  oRSResource.GetColumnAsBoolean(const_dbWRES_IS_ADMIN);
fDBManager    =  oRSResource.GetColumnAsBoolean(const_dbWRES_IS_MANAGER);
fDBOffline    =  oRSResource.GetColumnAsBoolean(const_dbWRES_IS_OFFLINE);
}
oRSResource.Close();
oPJQuery.Disconnect(false);
oRSResource = null;
oPJQuery = null;
if (!fDBNameFound)
return const_nPJWEB_E_INACTIVE_RESOURCE;
if (nHashedPwd0==nDBHashedPwd0 && nHashedPwd1==nDBHashedPwd1 && !fDBNTLogon)
{
var oUser = new User;
oUser.SetName(sUserName);
oUser.SetUserID(nUserID);
oUser.SetIsNTLogon(0);
oUser.SetCookieLong0(nDBCookie0);
oUser.SetCookieLong1(nDBCookie1);
var nIsAdmin = fDBAdmin ? 1 : 0;
oUser.SetIsAdmin(nIsAdmin);
var nIsManager = fDBManager ? 1 : 0;
oUser.SetIsManager(nIsManager);
oUser = null;
}
else
{ 
return const_nPJWEB_E_INVALID_PASSWORD;
}
if (fDBOffline)
return const_nPJWEB_E_RESOURCE_OFFLINE;
else
return 0;
}
function User_LogonNTAccount()
{
var sUserName = Request.ServerVariables('LOGON_USER').Item;
if ( typeof(sUserName)=='undefined' || sUserName=='')
return const_nPJWEB_E_INVALID_RESNAME;
this.ClearAuthenticated();
var nDBUserID     = -1;
var nDBHashedPwd0 = -1;
var nDBHashedPwd1 = -1;
var fDBNTLogon    = 0;
var nDBCookie0    = -1;
var nDBCookie1    = -1;
var fDBAdmin      = 0;
var fDBManager    = 0;
var fDBOffLine    = 1;
var oPJQuery = new PJQuery;
oPJQuery.Connect(false);
var oRSResource = oPJQuery.OpenRecordset(const_PjQuery_GetResIdAuthenInfoForName, sUserName);
fDBNameFound = !oRSResource.EOF();
if (fDBNameFound)
{
nDBUserID       =  oRSResource.GetColumnAsNumber(const_dbWRES_ID);
nDBHashedPwd0   =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA1a);
nDBHashedPwd1   =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA2a);
fDBNTLogon      =  oRSResource.GetColumnAsBoolean(const_dbWRES_USE_NT_LOGON);
nDBCookie0      =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA3a);
nDBCookie1      =  oRSResource.GetColumnAsNumber(const_dbRESERVED_DATA4a);
fDBAdmin        =  oRSResource.GetColumnAsBoolean(const_dbWRES_IS_ADMIN);
fDBManager      =  oRSResource.GetColumnAsBoolean(const_dbWRES_IS_MANAGER);
fDBOffline      =  oRSResource.GetColumnAsBoolean(const_dbWRES_IS_OFFLINE);
}
oRSResource.Close();
oPJQuery.Disconnect(false);
oRSResource = null;
oPJQuery = null;
if (!fDBNameFound || !fDBNTLogon)
return const_nPJWEB_E_INACTIVE_RESOURCE;
var oUser = new User;
oUser.SetName(sUserName);
oUser.SetUserID(nDBUserID);
oUser.SetIsNTLogon(1);
oUser.SetCookieLong0(nDBCookie0);
oUser.SetCookieLong1(nDBCookie1);
var nIsAdmin = fDBAdmin ? 1 : 0;
oUser.SetIsAdmin(nIsAdmin);
var nIsManager = fDBManager ? 1 : 0;
oUser.SetIsManager(nIsManager);
oUser = null;
if (fDBOffline)
return const_nPJWEB_E_RESOURCE_OFFLINE;
else
return 0;
}
function User_ClearAuthenticated()
{
this.SetName();
this.SetUserID();
this.SetIsNTLogon();
this.SetCookieLongs();
this.SetIsAdmin();
this.SetIsManager();   
this.SetShutDownWarned(false);
}
function User_GetURLString()
{
if (!this.bCookieActive)
return '';
return const_paramActive_Id + '=' + this.nUserID + 
'&' + const_paramActive_User + '=' + escape(this.sName) + 
'&' + const_paramActive_Active + '=1&';
}
function User_SetSessionName(sUser)
{
if ( arguments.length<1 || typeof(sUser)=='undefined' || sUser==null )
sUser = '';  
Session(const_sessionUserName) = sUser;
}
function User_SetSessionUserID(nUserID)
{
if ( arguments.length<1 || typeof(nUserID)=='undefined' || nUserID==null )
nUserID = -1;  
Session(const_sessionUserID) = nUserID;
}
function User_SetSessionIsNTLogon(bNTLogon)
{
if ( arguments.length<1 || typeof(bNTLogon)=='undefined' || bNTLogon==null )
bNTLogon = 0;  
Session(const_sessionIsNTLogon) = bNTLogon;
}
function User_SetSessionCookieLong0(nCookie0)
{
if ( arguments.length<1 || typeof(nCookie0)=='undefined' || nCookie0==null )
nCookie0 = -1;  
Session(const_sessionCookieLong0) = nCookie0;
}
function User_SetSessionCookieLong1(nCookie1)
{
if ( arguments.length<1 || typeof(nCookie1)=='undefined' || nCookie1==null )
nCookie1 = -1;  
Session(const_sessionCookieLong1) = nCookie1;
}
function User_SetSessionCookieLongs(nCookie0, nCookie1)
{
if ( arguments.length<2 || typeof(nCookie0)=='undefined' || nCookie0==null || typeof(nCookie1)=='undefined' || nCookie1==null )
nCookie0 = -1;  
nCookie1 = -1;  
Session(const_sessionCookieLong0) = nCookie0;
Session(const_sessionCookieLong1) = nCookie1;
}
function User_SetSessionIsAdmin(bAdmin)
{
if ( arguments.length<1 || typeof(bAdmin)=='undefined' || bAdmin==null )
bAdmin = 0;  
Session(const_sessionIsAdmin) = bAdmin;
}
function User_SetSessionIsManager(bManager)
{
if ( arguments.length<1 || typeof(bManager)=='undefined' || bManager==null )
bManager = 0;  
Session(const_sessionIsManager) = bManager;
}
function User_SetSessionShutDownWarned(bWarned)
{
if ( arguments.length<1 || typeof(bWarned)=='undefined' || bWarned==null )
bWarned = 0;  
Session('warned') = bWarned;
}
function User_GetSessionName()
{
var sUser = Session(const_sessionUserName);
if ( (typeof(sUser)=='undefined') || (sUser == null) )
sUser = '';  
else 
sUser = sUser.replace(/^\s*/,'').replace(/\s*$/,'');
return sUser;
}
function User_GetSessionUserID()
{
var nUserID = Session(const_sessionUserID);
if ( (typeof(nUserID)=='undefined') || (nUserID == null) )
nUser = -1;  
return nUserID;
}
function User_GetSessionIsNTLogon()
{
var bNTLogon = Session(const_sessionIsNTLogon);
if ( typeof(bNTLogon)=='undefined' || bNTLogon==null )
bNTLogon = 0;  
return bNTLogon;
}
function User_GetSessionCookieLong0()
{
var nCookie0 = Session(const_sessionCookieLong0);
if ( typeof(nCookie0)=='undefined' || nCookie0==null )
nCookie0 = -1;  
return nCookie0;
}
function User_GetSessionCookieLong1()
{
var nCookie1 = Session(const_sessionCookieLong1);
if ( typeof(nCookie1)=='undefined' || nCookie1==null )
nCookie1 = -1;  
return nCookie1;
}
function User_GetSessionIsAdmin()
{
var bAdmin = Session(const_sessionIsAdmin);
if (typeof(bAdmin)=='undefined' || bAdmin==null )
bAdmin = 0;  
return bAdmin;
}
function User_GetSessionIsManager()
{
var bManager = Session(const_sessionIsManager);
if (typeof(bManager)=='undefined' || bManager==null )
bManager = 0;  
return bManager;
}
function User_GetSessionShutDownWarned()
{
var bWarned = Session('warned');
if (typeof(bWarned)=='undefined' || bWarned==null )
bWarned = 0;  
return bWarned;
}
</SCRIPT>

<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
