<SCRIPT LANGUAGE="JScript" RUNAT="Server">
function PrjMenuBar( strItemID, strName, strLinkURL, strTargetURL, strOnClick, strParentID, nDropdownWidth, sAltText )
{
this.id       = strItemID;
this.name     = strName;
this.sAltText = sAltText;
this.link     = strLinkURL;
this.target   = strTargetURL;
this.onclick  = strOnClick;
this.parentID = strParentID;
this.nDropdownWidth = (typeof(nDropdownWidth) == 'undefined') ? 170 : nDropdownWidth;
this.subMenu = new Array;
this.CreateHTML = PrjMenuBar_CreateHTML;
this.AddItem    = PrjMenuBar_AddItem;
}
function PrjMenuBar_AddItem( strItemID, strName, strLinkURL, strTargetURL, strOnClick, nDropdownWidth, sAltText )
{
return this.subMenu[this.subMenu.length] = new PrjMenuBar( strItemID, strName, strLinkURL, strTargetURL, strOnClick, this.id, nDropdownWidth, sAltText );
}
function PrjMenuBar_CreateHTML( oShell )
{
var strHTML = '';
if (typeof(this.parentID) == 'undefined') 
{
strHTML += '<DIV STYLE="font-size: 100%;">';
strHTML += '<DIV ID=' + this.id + ' CLASS="PrjMenuBar" NOWRAP STYLE="font-size:' + oStrings.GetString(IDS_SHELL_MENUBAR_FONTSIZE) + '; position: absolute; top:'+(oPJSession.fSimpleUI?0:40)+'; ' + 
'left: ' + oShell[const_mbKeyLeft] + '; z-index: 10; cursor: hand; overflow: hidden; vertical-align: bottom;'+(oPJSession.fNoMenu?' display: none;':'')+'" ONMOUSEOVER="PrjMenuBar_OnMouseOver()" ONMOUSEOUT="PrjMenuBar_OnMouseOut()" ONSELECTSTART="PrjMenuBar_OnSelectStart()"' +
'MSPRJ_menuActive="' + oShell[const_mbKeyMenuActive] + '">'
strHTML += '<TABLE CLASS="PrjMenuBar" BORDER="1" CELLPADDING="0" CELLSPACING="0" STYLE="font-size: 100%; position: relative; left: 4; height: 100%; border:0">';
strHTML += '  <TR>' +
'    <TD HEIGHT=10%></TD>' +
'  </TR>' + 
'  <TR>';
for (var i=0; i < this.subMenu.length; i++)
{
if (i == (this.subMenu.length-1))
strHTML += '<TD CLASS="' + ((this.subMenu[i].id == oShell[const_mbKeyMenuActive]) ? 'PrjMenuBarHighlight' : '') + '" VALIGN="bottom" STYLE="padding-bottom: 0.1em; padding-left: 8; padding-right: 8; border-right-width: 0; border-bottom-width: 0; border-top-width: 0; border-left-width: 0;" NOWRAP>';
else
strHTML += '<TD CLASS="' + ((this.subMenu[i].id == oShell[const_mbKeyMenuActive]) ? 'PrjMenuBarHighlight' : '') + '" VALIGN="bottom" STYLE="padding-bottom: 0.1em; padding-left: 8; padding-right: 8; border-right-width: 1; border-bottom-width: 0; border-top-width: 0; border-left-width: 0;" NOWRAP>';
strHTML += '<A ID="' + this.subMenu[i].id + '" ';
if (this.subMenu[i].id == oShell[const_mbKeyMenuActive])
strHTML += ' CLASS="PrjMenuBarItemHighlight" ';
else
strHTML += ' CLASS="PrjMenuBarItem" ';
if ((typeof(this.subMenu[i].link) != 'undefined') && (this.subMenu[i].link != null) && (this.subMenu[i].link.length))
strHTML += 'HREF="' + this.subMenu[i].link + '" ';
if ((typeof(this.subMenu[i].sAltText) != 'undefined') && (this.subMenu[i].sAltText != null) && (this.subMenu[i].sAltText.length))
strHTML += 'TITLE="' + this.subMenu[i].sAltText + '" ';
if ((typeof(this.subMenu[i].target) != 'undefined') && (this.subMenu[i].target != null) && (this.subMenu[i].target.length))
strHTML += 'TARGET="' + this.subMenu[i].target + '" ';
if ((typeof(this.subMenu[i].onclick) != 'undefined') && (this.subMenu[i].onclick != null) && (this.subMenu[i].onclick.length))
strHTML += 'ONCLICK="' + this.subMenu[i].onclick + '; PrjMenuBar_OnClick();" ';    
else
strHTML += 'ONCLICK="PrjMenuBar_OnClick();" ';    
strHTML += 'ONMOUSEOVER="PrjMenuBar_OnMouseOver()" ONMOUSEOUT="PrjMenuBar_OnMouseOut()">' + this.subMenu[i].name + '</A>';  
}  
strHTML += '</TABLE></DIV>';
for (var i=0; i < this.subMenu.length; i++)
strHTML += this.subMenu[i].CreateHTML();
strHTML += '</DIV>';
}
else
{
if (this.subMenu.length)
{
strHTML += '<DIV ID=' + this.id + '_SubMenu CLASS="PrjMenuBar" STYLE="font-size:' + oStrings.GetString(IDS_SHELL_MENUBAR_FONTSIZE) + '; position: absolute; width: ' + this.nDropdownWidth + '; padding-bottom: 8; padding-top: 8; display: none; z-index: 11;" ONMOUSEOVER="PrjMenuBar_OnMouseOver()" ONMOUSEOUT="PrjMenuBar_OnMouseOut()">';
strHTML += '<DIV CLASS="PrjMenuBarDivider" STYLE="position: relative; top: -8; height:1; width: 100%; overflow: hidden;"></DIV>';
strHTML += '<DIV CLASS="PrjMenuBar" STYLE="padding-left: 4;">'; 
for (var i=0; i < this.subMenu.length; i++)
{
strHTML += '<A ID="' + this.subMenu[i].id + '" CLASS="PrjMenuBarItem" ';
if ((typeof(this.subMenu[i].link) != 'undefined') && (this.subMenu[i].link != null) && (this.subMenu[i].link.length))
strHTML += 'HREF="' + this.subMenu[i].link + '" ';
if ((typeof(this.subMenu[i].sAltText) != 'undefined') && (this.subMenu[i].sAltText != null) && (this.subMenu[i].sAltText.length))
strHTML += 'TITLE="' + this.subMenu[i].sAltText + '" ';
if ((typeof(this.subMenu[i].target) != 'undefined') && (this.subMenu[i].target != null) && (this.subMenu[i].target.length))
strHTML += 'TARGET="' + this.subMenu[i].target + '" ';
if ((typeof(this.subMenu[i].onclick) != 'undefined') && (this.subMenu[i].onclick != null) && (this.subMenu[i].onclick.length))
strHTML += 'ONCLICK="' + this.subMenu[i].onclick + '; PrjMenuBar_OnClick()" ';
strHTML += 'ONMOUSEOVER="PrjMenuBar_OnMouseOver()" ONMOUSEOUT="PrjMenuBar_OnMouseOut()">';
strHTML += this.subMenu[i].name + '</A>';  
strHTML += '<BR>';
}  
strHTML += '</DIV>';
strHTML += '</DIV>';
}  
}
return strHTML;
}
</SCRIPT>

<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
