<OBJECT ID="oPjRsXml" RUNAT="Server" PROGID="PjRsXml.StatusXml">
</OBJECT>
<%
function StatusReports()
{
this.aReportsDue = new Array;    
this.aReportsCurrent = new Array;  
this.aReportsAll = new Array; 
this.nReportsOverdue = 0;
this.bMiscReports = false;
this.rsRequests     = null;
this.rsReportsFreq  = null;
this.rsResponses    = null;
this.rsDistribution = null;
this.oPJQuery = new PJQuery();
this.oPJQuery.Connect(false);
this.HasResponses  = StatusReports_HasResponses;
this.Release       = StatusReports_Release;
this.GetReportsDue      = StatusReports_GetReportsDue;
this.GenerateReportsDue = StatusReports_GenerateReportsDue;
this.GetManagerReports  = StatusReports_GetManagerReports;
this.GetManagerReports();
}
function StatusReports_Release()
{
this.oPJQuery.Disconnect();
this.oPJQuery = null;
}
function StatusReports_HasResponses()
{
var rsResponses = this.oPJQuery.OpenRecordset( const_PjQuery_GetRespnseIDFromResponsesAndDist, oPJSession.oUser.nUserID );
var bHasResponses = (rsResponses.EOF() != true);
rsResponses.Close();
return bHasResponses;
}
function StatusReports_GetReportsDue()
{
var oPJQuery = new PJQuery();
oPJQuery.Connect(true);
var nUserID = oPJSession.oUser.nUserID;
this.rsRequests = oPJQuery.OpenRecordset( const_PjQuery_GetStatusRequestsForResIDNotSent, nUserID );
if (this.rsRequests.EOF())
{
oPJQuery.Disconnect(false);
oPJQuery = null;
return;
}
var nFirstResSRID = this.rsRequests.GetColumn(const_dbWSR_ID);
for( ; !this.rsRequests.EOF(); this.rsRequests.MoveNext() )
{
this.rsReportsFreq = oPJQuery.OpenRecordset( const_PjQuery_GetAllReportsFreqForSRID, this.rsRequests.GetColumn(const_dbWSR_ID) );
if (this.rsReportsFreq.RecordCount == 0)
continue;
var oReport = new Object;
this.aReportsDue[this.aReportsDue.length] = oReport;
oReport.nSRID    = this.rsRequests.GetColumn(const_dbWSR_ID);
oReport.nRecvID  = this.rsRequests.GetColumn(const_dbWRES_ID_RECEIVER);
oReport.bNew     = this.rsRequests.GetColumnAsBoolean(const_dbWREQ_IS_NEW_REQUEST);
oReport.dDueOn   = this.rsRequests.GetColumnAsJDate(const_dbWDUE_ON, 0);
oReport.sName    = oLocalizedStrings.HTMLEncode( this.rsReportsFreq.GetColumn(const_dbWREPORT_NAME), true );
oReport.sMgrName = oLocalizedStrings.HTMLEncode( this.rsReportsFreq.GetColumn( const_dbRES_NAME ), true );
this.GenerateReportsDue( oPJQuery, oReport );
oReport.dDueOn   = this.rsRequests.GetColumnAsJDate(const_dbWDUE_ON, 0);
}
if (this.rsDistribution != null)
{
this.rsDistribution.Close();
this.rsDistribution = null;
}
if (this.rsResponses != null)
{
this.rsResponses.Close();
this.rsResponses = null;
}
if (this.rsRequests != null)
{
this.rsRequests.Close();
this.rsRequests = null;
}  
var rsOverdue = oPJQuery.OpenRecordset( const_PjQuery_CountOfOverdueStatusReports, nUserID, new Date );
this.nReportsOverdue = rsOverdue.GetColumn(0);
rsOverdue.Close();
oPJQuery.Disconnect();
oPJQuery = null;
}
function StatusReports_GenerateReportsDue( oPJQuery, oReport )
{
var dToday = new Date;
var dTodayPj = JDate2ProjDate(dToday);
if (oReport.dDueOn < dToday)
{
var rsReports = oPJQuery.OpenRecordset( const_PjQuery_GetExistingReportsAfterDueOnDate, oReport.nRecvID, oReport.nSRID, oReport.dDueOn );
var aStartDatesPj = new Array;
var aEndDatesPj   = new Array;
var dDueOnPj = JDate2ProjDate(oReport.dDueOn);
oPjRsXml.GetPeriodsForDateSpan( dDueOnPj, dTodayPj, this.rsReportsFreq.adoRS, aStartDatesPj, aEndDatesPj );
var nSections = -1;
for(var i=0; i < aStartDatesPj.length-1; i++) 
{
while( (!rsReports.EOF()) && (DateOnly(rsReports.GetColumnAsProjDate(const_dbWSRESP_PERIOD_START)) < DateOnly(aStartDatesPj[i])) )
{       
rsReports.MoveNext();
}
if ((rsReports.EOF()) || 
(DateOnly(rsReports.GetColumnAsProjDate(const_dbWSRESP_PERIOD_START))  != DateOnly(aStartDatesPj[i])) ||
(DateOnly(rsReports.GetColumnAsProjDate(const_dbWSRESP_PERIOD_FINISH)) != DateOnly(aEndDatesPj[i])) )
{
if (this.rsReponses == null)
{
this.rsResponses    = oPJQuery.OpenRecordset( const_PjQuery_GetEmptyStatusResponses, oPJSession.oUser.nUserID );
this.rsDistribution = oPJQuery.OpenRecordset( const_PjQuery_GetEmptyStatusDistribution, oPJSession.oUser.nUserID );
}
this.rsResponses.AddNew(const_PjQuery_StatusResp_Autonumber, const_dbWRESP_IDa);
this.rsResponses.SetColumn(const_dbWRES_ID, oReport.nRecvID);
this.rsResponses.SetColumn(const_dbWSR_ID, oReport.nSRID);
this.rsResponses.SetColumn(const_dbWSRESP_PERIOD_START,  aStartDatesPj[i], true);
this.rsResponses.SetColumn(const_dbWSRESP_PERIOD_FINISH, aEndDatesPj[i], true);
this.rsResponses.SetColumn(const_dbWRESP_TEXT, this.rsReportsFreq.GetColumn(const_dbWREPORT_FORMAT));
this.rsResponses.SetColumn(const_dbWSUBMIT_STATUS, 0);
this.rsResponses.SetColumn(const_dbWUPDATE_STATUS, -1);
this.rsResponses.SetColumn(const_dbWSUBMIT_DATE, -1, true);
if (nSections == -1)
{
var SNames = new Object;
var SData  = new Object;
var SDesc  = new Object;
var SInsertTasks = new Object;
oPjRsXml.XMLStringToVarStatus( this.rsReportsFreq.GetColumn(const_dbWREPORT_FORMAT), SNames, SData, SDesc, SInsertTasks );
nSections = SNames.length;
}
this.rsResponses.SetColumn(const_dbWNUM_SECTIONS, nSections);
this.rsResponses.Update();
this.rsDistribution.AddNew();
this.rsDistribution.SetColumn(const_dbWRES_ID_DISTR_RECIP, oReport.nRecvID);
this.rsDistribution.SetColumn(const_dbWRESP_ID, this.rsResponses.GetIdentity() );
this.rsDistribution.Update();
}
}
this.rsRequests.SetColumn(const_dbWDUE_ON, aEndDatesPj[i], true);
rsReports.Close();
}
}
function StatusReports_GetManagerReports()
{
var rsResponses = this.oPJQuery.OpenRecordset(const_PjQuery_GetOtherResponsesForResID, oPJSession.oUser.nUserID );
this.bMiscReports = (rsResponses.RecordCount > 0);
rsResponses.Close();
var rsReports = this.oPJQuery.OpenRecordset( const_PjQuery_GetReportsForMgrOrderName, oPJSession.oUser.nUserID );
if (rsReports.RecordCount <= 0)
return;
rsReports.MoveFirst();
var nFirstMgrSRID = rsReports.GetColumn(const_dbWSR_ID);
var PeriodStart = new Object;
var PeriodEnd = new Object;
while(!rsReports.EOF())
{
var rsFreq = this.oPJQuery.OpenRecordset(const_PjQuery_GetAllFreqForSRID, rsReports.GetColumn(const_dbWSR_ID));
var dTodayPj = JDate2ProjDate( new Date );
oPjRsXml.GetPeriodForDate( dTodayPj, rsFreq.adoRS, PeriodStart, PeriodEnd );
rsFreq.Close();
var rsResponses = this.oPJQuery.OpenRecordset( const_PjQuery_GetNewRespForSRID1, rsReports.GetColumn(const_dbWSR_ID));
if (rsResponses.RecordCount > 0)
{
var oReport = new Object;
this.aReportsCurrent[this.aReportsCurrent.length] = oReport;
oReport.nSRID = rsReports.GetColumn(const_dbWSR_ID);
oReport.sReportName = oLocalizedStrings.HTMLEncode( rsReports.GetColumn(const_dbWREPORT_NAME) );
rsResponses.Filter( const_dbWRESP_IS_NEW_RESPONSE + " = '" + dbTRUE + "'" );
oReport.bIsNew = (rsResponses.RecordCount > 0);
oReport.nResponses = rsResponses.RecordCount;
rsResponses.Filter('');
}
rsResponses.Close();
rsReports.MoveNext();
}
rsReports.MoveFirst();
nFirstMgrSRID = rsReports.GetColumn(const_dbWSR_ID);
while( !rsReports.EOF() )
{
var oReport = new Object;
this.aReportsAll[this.aReportsAll.length] = oReport;
oReport.nSRID = rsReports.GetColumn(const_dbWSR_ID);
oReport.sReportName = oLocalizedStrings.HTMLEncode( rsReports.GetColumn(const_dbWREPORT_NAME) );
var rsResponses = this.oPJQuery.OpenRecordset(const_PjQuery_GetNewRespForSRID, rsReports.GetColumn(const_dbWSR_ID));
oReport.nResponses = rsResponses.RecordCount;
oReport.bIsNew = (rsResponses.RecordCount > 0);
rsResponses.Close();
rsReports.MoveNext();
}
}
%>

<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
