<%
function Shell_ActionsPane_CreateHTML( oShell )
{
var homePageASP       = 'HomePage.asp';
var tasksPageASP      = '../Tasks/TasksPage.asp';
var timesheetASP      = '../Tasks/TasksPage.asp?TimesheetView=1';
var ganttASP          = '../Tasks/TasksPage.asp?GanttView=1';
var statusReportsASP  = '../StatusReports/StatusReports.asp';
var calendarASP       = '../WebCalendar/outlook1.asp';
var workingtimeASP    = "../WebCalendar/outlook1.asp?GetFromUI=1";
if (oPJSession.sIsOffline)
{
var sID = '_oid=' + oPJSession.oUser.nUserID;
homePageASP      += '?' + sID;
tasksPageASP     += '?' + sID;
timesheetASP     += '&' + sID;
ganttASP         += '&' + sID;
statusReportsASP += '?' + sID;
calendarASP      += '?' + sID;
workingtimeASP   += '&' + sID;
}
var objRootFolder = new PrjTreeControlFolder('idTreeControl');
var sCurrentPage = Request.ServerVariables("PATH_INFO").Item.match(/\/([^/]*$)/)[1].toLowerCase();
if ((sCurrentPage == 'online.asp') || (sCurrentPage == 'offline.asp'))
return objRootFolder.CreateHTML();
var objFolder = objRootFolder.AddFolder( 'idHomeTC', oStrings.GetString(IDS_SHELL_HOME), objRootFolder.stateExpanded, null, homePageASP, null, null, true );
if (oPJSession.sIsOnline)
{
objFolder.AddItem( 'idMessagesTC',  oStrings.GetString(IDS_SHELL_HOME_MSGS_LBL),      '', 'MsgList.asp' );
if (oPJSession.oUser.bIsManager)
objFolder.AddItem( 'idRulesTC',     oStrings.GetString(IDS_SHELL_HOME_RULES_LBL),     '', 'rules.asp' );
if(!oPJSession.oUser.bIsNTLogon)
objFolder.AddItem( 'idPasswordTC',  oStrings.GetString(IDS_SHELL_HOME_PASSWORD_LBL),  '', 'Password.asp' );
}  
objFolder = objRootFolder.AddFolder( 'idTasksTC', oStrings.GetString(IDS_SHELL_TASKS), objRootFolder.stateExpanded, null, tasksPageASP );
objFolder.AddItem( 'idTimesheetTC',  oStrings.GetString(IDS_SHELL_TASKS_TIMESHEET),  '', timesheetASP );
objFolder.AddItem( 'idGanttTC',      oStrings.GetString(IDS_SHELL_TASKS_GANTT),      '', ganttASP);
if (oPJSession.sIsOnline)
{
objFolder.AddItem( 'idNewTaskTC',    oStrings.GetString(IDS_SHELL_TASKS_NEW_TASK),   '', '../Tasks/NewTaskPage.asp?_ID=-1' );
objFolder.AddItem( 'idCalendarTC',   oStrings.GetString(IDS_SHELL_TASKS_CALENDAR),   '', calendarASP, null, null, null, null, null, oStrings.GetString(IDS_SHELL_TASKS_CALENDAR_ALT) );
objFolder.AddItem( 'idWorkingtimeTC',oStrings.GetString(IDS_SHELL_TASKS_WORKINGTIME),'', workingtimeASP, null, null, null, null, null, oStrings.GetString(IDS_SHELL_TASKS_WORKINGTIME_ALT) );
objFolder.AddItem( 'idDelegationTC', oStrings.GetString(IDS_SHELL_TASKS_DELEGATION), '', '../Tasks/TasksPage.asp?Delegation=1' );
objFolder = objRootFolder.AddFolder( 'idViewsReportsTC', oStrings.GetString(IDS_SHELL_VIEWS), objRootFolder.stateExpanded, null, '../Views/ViewsPage.asp' );
objFolder.AddItem( 'idViewsOverviewTC',     oStrings.GetString(IDS_SHELL_VIEWS_OVERVIEW_LBL),    '', '../Views/ViewsPage.asp' );
objFolder.AddItem( 'idViewsPortfolioTC',    oStrings.GetString(IDS_SHELL_VIEWS_PORTFOLIO_LBL),   '', '../Views/PortfolioView.asp' );
objFolder.AddItem( 'idViewsAssignmentsTC',  oStrings.GetString(IDS_SHELL_VIEWS_ASSIGNMENTS_LBL), '', '../Views/WebclientView.asp' );
}
objFolder = objRootFolder.AddFolder( 'idStatusReportsTC', oStrings.GetString(IDS_SHELL_SR), objRootFolder.stateExpanded, null, statusReportsASP );
objFolder.AddItem( 'idOverviewTC',          oStrings.GetString(IDS_SHELL_SR_OVERVIEW),      '', statusReportsASP );
objFolder.AddItem( 'idSubmitStatusReportTC',oStrings.GetString(IDS_SHELL_SR_SUBMIT),        '', statusReportsASP );
oPJSession.oSR.GetReportsDue();
if (oPJSession.sIsOnline)
{
if (oPJSession.oSR.HasResponses())
{
objFolder.AddItem( 'idMyStatusReportsTC', oStrings.GetString(IDS_SHELL_SR_MY_STATUS),       '', '../StatusReports/MyStatusReports.asp' );
}  
if (oPJSession.oSR.bMiscReports)
{
objFolder.AddItem( 'idSRMiscReportsTC', oStrings.GetString(IDS_SHELL_SR_MISC_REPORTS),    '',  '../StatusReports/MiscStatusReports.asp' );
}
if ((oPJSession.oUser.bIsManager) && (oPJSession.oSR.aReportsAll.length))
{
objFolder.AddItem( 'idTeamStatusReportsTC', oStrings.GetString(IDS_SHELL_SR_TEAM_STATUS),   '', '../StatusReports/StatusReports.asp?Team=1' );
}
if (oPJSession.oUser.bIsManager)
{  
objFolder.AddItem( 'idStatusReportWizardTC',oStrings.GetString(IDS_SHELL_SR_WIZARD),        '', '../StatusReports/StatusReportWizard1.asp' );
}  
if (oPJSession.oUser.bIsAdmin)
{
objFolder = objRootFolder.AddFolder( 'idAdministrationTC', oStrings.GetString(IDS_SHELL_ADMIN), objRootFolder.stateExpanded, null, '../Admin/Admin.asp' );
objFolder.AddItem( 'idAdminOverviewTC', oStrings.GetString(IDS_SHELL_ADMIN_OVERVIEW),    '', '../Admin/Admin.asp' );
objFolder.AddItem( 'idUserTC', oStrings.GetString(IDS_SHELL_ADMIN_USER),                 '', '../Admin/Users.asp' );
objFolder.AddItem( 'idDBCleanupAdminTC', oStrings.GetString(IDS_SHELL_ADMIN_DB_CLEANUP), '', '../Admin/dbcleanup.asp' );
objFolder.AddItem( 'idCustomizeTC', oStrings.GetString(IDS_SHELL_ADMIN_CUSTOMIZE),       '', '../Admin/Admin.asp' );
objFolder.AddItem( 'idViewOverviewTC', oStrings.GetString(IDS_SHELL_ADMIN_VIEW),         '', '../Admin/views_overview.asp' );
objFolder.AddItem( 'idServerModeTC', oStrings.GetString(IDS_SHELL_ADMIN_MODE),           '', '../Admin/mode.asp' );
}
objRootFolder.AddFolder( 'idOfflineTC', oStrings.GetString(IDS_SHELL_OFFLINE_LBL), objRootFolder.stateExpanded, null, '../Home/Offline.asp' );
objRootFolder.AddFolder( 'idLogoutTC',  oStrings.GetString(IDS_SHELL_LOGOUT),      objRootFolder.stateExpanded, null, '../Logon/Logoff.asp' );
}
var aID = [ 'idHomeTC', 'idTasksTC', 'idViewsReportsTC', 'idStatusReportsTC', 'idAdministrationTC', 'idOfflineTC', 'idLogoutTC' ];
objRootFolder.Restore( oShell[const_shKeyHome].split('|')[3], aID );
return objRootFolder.CreateHTML();
}
function Shell_PrjMenuBar_GetCurrentItemID()
{
if (String(Request.ServerVariables("URL").Item).toLowerCase().search(/offline/) != -1)
{
return 'idOfflineMB';
}  
return 'idHomeMB';
}
function Shell_GetState( oShell )
{
if (oShell[const_shKeyHome].length)
{
var aValues = oShell[const_shKeyHome].split('|');
if (aValues.length > 2)
{
oShell[const_apKeyState] = aValues[0];
oShell[const_apKeyWidth] = aValues[1];
oShell[const_hpKeyOpen]  = aValues[2];
}  
}
} 
var sCurrentPage = Request.ServerVariables("PATH_INFO").Item.match(/\/([^/]*$)/)[1].toLowerCase()
%>
<SCRIPT LANGUAGE="JScript">
function Workspace_SaveState( oPJCookies )
{
if (("<%=sCurrentPage%>" == "online.asp") || ("<%=sCurrentPage%>" == "offline.asp"))
return;
var sValue = document.all.idActionsPane.MSPRJ_state + '|';
sValue += ((document.all.idActionsPane.MSPRJ_state == const_apStateCollapsed) ? document.all.idActionsPane.MSPRJ_restoreWidth : document.all.idActionsPane.offsetWidth) + '|';
sValue += ((document.all.idHelpPaneContent.style.display == 'none') ? const_hpStateClosed : const_hpStateOpen) + '|';
var aID = [ 'idHomeTC', 'idTasksTC', 'idViewsReportsTC', 'idStatusReportsTC', 'idAdministrationTC', 'idOfflineTC', 'idLogoutTC' ];
sValue += document.all.idTreeControl.Persist( aID );
if (typeof(Home_SaveState) != 'undefined')
{
sValue += '|' + Home_SaveState();
}  
else
{
sValue += "|<%=oShell[const_shKeyHome].split('|')[4]%>"    
}  
oPJCookies.Set( const_shKeyHome, sValue );
}  
</SCRIPT>
<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
