<!-- #include file="../Shell/ShellTop.asp" -->

<!-- #include file="HomePageTC.asp" -->
<!-- #include file="../Includes/Utils.inc" -->
<!-- #include file="../Includes/deleg_func.inc" -->
<!-- #include file="../Includes/updateDeleg.inc" -->
<!-- #include file="../Library/DateTime.js" -->
<!--#include file="../Includes/Defines.inc" -->
<%
var oStrings = oLocalizedStrings.LoadStringTable( IDST_MSGS );
function MsgInfo( nMsgID )
{
this.nMsgID = nMsgID; 
var oPJQuery = new PJQuery;
oPJQuery.Connect();
var rsMsg = oPJQuery.OpenRecordset(const_PjQuery_GetMessagesForResID, nMsgID );
if (rsMsg.RecordCount > 1) 
{
rsMsg.Close();
oPJQuery.Disconnect();
oPJQuery = null;
this.sErrorMsg = oStrings.GetString(IDS_MSGS_ERROR_DUPLICATE_FOUND);
return;
}  
if(rsMsg.RecordCount == 0)
{
rsMsg.Close();
oPJQuery.Disconnect();
oPJQuery = null;
this.sErrorMsg = oStrings.GetString(IDS_MSGS_ERROR_MSG_NOT_AVAIL);
return;
}  
if (rsMsg.GetColumnAsNumber(const_dbWRES_ID_RECIEVER) != oPJSession.oUser.nUserID) 
{
rsMsg.Close();
oPJQuery.Disconnect();
oPJQuery = null;
this.sErrorMsg = oStrings.GetString(IDS_MSGS_ERROR_MSG_NOT_AVAIL);
return;
}  
if (rsMsg.RecordCount == -1)
{
rsMsg.Close();
oPJQuery.Disconnect();
oPJQuery = null;
this.sErrorMsg = oStrings.GetString(IDS_MSGS_ERROR_UNKNOWN);
return;
}  
this.nMaxSubjectSize     = rsMsg.GetColumnSize(const_dbWMSG_SUBJECT);
this.nMaxBodySize        = Math.min(rsMsg.GetColumnSize(const_dbWMSG_BODY), const_MAXMSGBODYSIZE);
this.dMsgTime            = rsMsg.GetColumnAsJDate(const_dbWMSG_WAS_READ);
this.lBrokenBy           = rsMsg.GetColumnAsNumber(const_dbWMSG_PERIOD_BROKENBY, -1);
this.lWSO                = rsMsg.GetColumnAsNumber(const_dbWMSG_PERIOD_WEEK_STARTS_ON, -1);
this.lAType              = rsMsg.GetColumnAsNumber(const_dbWMSG_ACTUAL_TYPE, -1);
this.dStart              = rsMsg.GetColumnAsProjDate(const_dbWMSG_PERIOD_START, dTodayPj);
this.dEnd                = rsMsg.GetColumnAsProjDate(const_dbWMSG_PERIOD_FINISH, dNextWeekPj);
this.nMsgType            = rsMsg.GetColumnAsLong(const_dbWMSG_PROJ_TYPE);
this.bWasRead            = rsMsg.GetColumnAsBoolean(const_dbWMSG_WAS_READ);
this.bCanDecline         = rsMsg.GetColumnAsBoolean(const_dbWMSG_RES_CAN_DECLINE);
this.bDelegationAccepted = true;
this.bUpdated            = rsMsg.GetColumnAsLong(const_dbWMSG_PROCESS_ST)==2;
switch( this.nMsgType )
{
case const_PjMsgType_STATUSREQ:
case const_PjMsgType_STATUSREQLEAD:
bReply = true;
break;
}
if (bReply)
{
switch( this.nMsgType )
{
case const_PjMsgType_ASSIGN:
case const_PjMsgType_RASSIGN:
this.sSubject = oStrings.GetString( IDS_MSGS_TA_REPLY_SUBJECT_TEXT );
break;
case const_PjMsgType_UPDATE:
case const_PjMsgType_RUPDATE:
this.sSubject = oStrings.GetString( IDS_MSGS_TU_REPLY_SUBJECT_TEXT );
break;
case const_PjMsgType_STATUSREQLEAD:
case const_PjMsgType_RSTATUSREQLEAD:
this.sSubject = oStrings.GetString( IDS_MSGS_LEAD_TS_REPLY_SUBJECT_TEXT );
break;
case const_PjMsgType_STATUSREQ:
case const_PjMsgType_RSTATUSREQ:
this.sSubject = oStrings.GetString( IDS_MSGS_TS_REPLY_SUBJECT_TEXT );
break;
case const_PjMsgType_DELEGATION:
case const_PjMsgType_RDELEGATION:
case const_PjMsgType_RRDELEGATION:
case const_PjMsgType_DELEGATIONREQ:
case const_PjMsgType_RDELEGATIONREQ:
case const_PjMsgType_RRDELEGATIONREQ:
this.sSubject = oStrings.GetString( IDS_MSGS_DELEG_REPLY_SUBJECT_TEXT );
break;      
case const_PjMsgType_LEADCHANGE:
case const_PjMsgType_RLEADCHANGE:
this.sSubject = oStrings.GetString( IDS_MSGS_DELEG_LEAD_REPLY_SUBJECT_TEXT );
break;
case const_PjMsgType_CALENDAR:
case const_PjMsgType_RCALENDAR:
this.sSubject = oStrings.GetString( IDS_MSGS_WC_REPLY_TITLE_TEXT );
break;
case const_PjMsgType_NEWTASKS:
case const_PjMsgType_RNEWTASKS:
this.sSubject = oStrings.GetString( IDS_MSGS_NT_REPLY_SUBJECT_TEXT );
break;
case const_PjMsgType_RDELETED:
case const_PjMsgType_DELETED:
this.sSubject = oStrings.GetString( IDS_MSGS_AC_REPLY_SUBJECT_TEXT );
break;
}
}
else
{
this.sSubject = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbWMSG_SUBJECT));
}  
this.nFileID    = rsMsg.GetColumnAsLong(const_dbWPROJ_ID);
this.bResponseRequired = false; 
this.bAllowUpdate = false;
this.bReplyAndUpdate = false; 
this.bIsReply     = bReply;
this.sPeriodRange = '';
this.cfField = "";
this.nAssnResID   = oPJSession.oUser.nUserID;
oLocalizedStrings.SetDateType( 1 );
var sSubj,sBody;
if (bReply) {
this.sTime        = oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, dTodayPj, 0);
sSubj = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbWMSG_SUBJECT));
sBody = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbWMSG_BODY));
if (typeof(sSubj)!='string') sSubj="";
if (typeof(sBody)!='string') sBody="";
}
else {
this.sTime        = oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0);
this.sBody        = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbWMSG_BODY));
}
switch( this.nMsgType )
{
case const_PjMsgType_ASSIGN:
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TA_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TA_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.HTMLEncode(oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT )) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
this.cfField      = "+MSPJWCCustomFields";
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TA_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TA_BANTER_TEXT, '<A ID="idTimeSheetLink" CLASS="HyperLink" HREF="../Tasks/TasksPage.asp" TITLE="' + oStrings.GetString( IDS_MSGS_TA_TIMESHEET_ALT ) + '" ACCESSKEY="' + oStrings.GetString( IDS_MSGS_TA_TIMESHEET_KEY ) +  '">', '</A>' );
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
this.cfField      = "MSPJWCCustomFields";
}  
break;
case const_PjMsgType_RASSIGN:
this.nAssnResID   = rsMsg.GetColumnAsNumber(const_dbWRES_ID_SENDER);
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TAR_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TAR_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
this.cfField      = "+MSPJWCCustomFields";
this.bAllowUpdate = false;
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TAR_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TAR_BANTER_TEXT );
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
this.cfField      = "MSPJWCCustomFields";
this.bResponseRequired = true;                          
this.bAllowUpdate = true;
}  
break;
case const_PjMsgType_STATUSREQ:
case const_PjMsgType_STATUSREQLEAD:
this.sPeriodRange = oStrings.GetString( IDS_MSGS_TS_PERIOD_RANGE_TEXT, oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_PERIOD_START),0), oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_PERIOD_FINISH),0) );
this.bResponseRequired = true;
if (this.nMsgType == const_PjMsgType_STATUSREQLEAD)
{
this.sTitle     = oStrings.GetString( IDS_MSGS_LEAD_TS_REPLY_TITLE_TEXT, this.sPeriodRange );
this.sBanterHTML= oStrings.GetString( IDS_MSGS_LEAD_TS_REPLY_BANTER_TEXT );
}
else
{
this.sTitle     = oStrings.GetString( IDS_MSGS_TS_REPLY_TITLE_TEXT, this.sPeriodRange );
this.sBanterHTML= oStrings.GetString( IDS_MSGS_TS_REPLY_BANTER_TEXT );
}
this.sHeader      = oStrings.GetString( IDS_MSGS_REQ_RESPONSE_HEADER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0,30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + ' ' + this.sPeriodRange + '\r     ' +                    
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');        
this.cfField      = (this.nMsgType == const_PjMsgType_STATUSREQ ? "+" : "") + "MSPJWCCustomFields";
break;
case const_PjMsgType_RSTATUSREQ:
case const_PjMsgType_RSTATUSREQLEAD:
this.sPeriodRange = oStrings.GetString( IDS_MSGS_TS_PERIOD_RANGE_TEXT, oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_PERIOD_START),0), oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_PERIOD_FINISH),0) );
this.nAssnResID = rsMsg.GetColumnAsNumber(const_dbWRES_ID_SENDER);
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TSR_REPLY_TITLE_TEXT, this.sPeriodRange );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TSR_REPLY_BANTER_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0,30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + ' ' + this.sPeriodRange + '\r     ' +                    
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');        
this.cfField      = "+MSPJWCCustomFields";
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TSR_TITLE_TEXT, this.sPeriodRange );
this.sHeader      = oStrings.GetString( IDS_MSGS_REQ_RESPONSE_HEADER_TEXT);
this.sBanterHTML  = oPJSession.oUser.bIsManager?oStrings.GetString( IDS_MSGS_TSR_BANTER_TEXT):'';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
this.cfField      = "MSPJWCCustomFields";
this.bResponseRequired = true;
this.bAllowUpdate = oPJSession.oUser.bIsManager;
}
break;
case const_PjMsgType_DELEGATION:
this.sTitle = oStrings.GetString( IDS_MSGS_DELEG_TITLE_TEXT );
if (bReply)
{
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_DELEG_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName);
var rsMgrName  = oPJQuery.OpenRecordset(const_PjQuery_ManagerNameFromMsgID, this.nMsgID);
this.sTo       = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + oLocalizedStrings.sListSep + '&nbsp;' + oStrings.HTMLEncode(rsMgrName.GetColumn(const_dbRES_NAME).substr(0,30));
sDelegatorName = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME));
rsMgrName.Close();
sMsgBody = "" + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbWMSG_BODY));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + ' ' + this.sPeriodRange + '\r     ' +                    
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');        
}
else
{
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT  );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_DELEG_BANTER_TEXT, '<A ID="idTimeSheetLink" CLASS="HyperLink" HREF="../Tasks/TasksPage.asp" TITLE="' + oStrings.GetString( IDS_MSGS_TA_TIMESHEET_ALT ) + '" ACCESSKEY="' + oStrings.GetString( IDS_MSGS_TA_TIMESHEET_KEY ) +  '">', '</A>' );
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
var rsMgrName = oPJQuery.OpenRecordset(const_PjQuery_ManagerNameFromMsgID, this.nMsgID);
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + oLocalizedStrings.sListSep + '&nbsp;' + oStrings.HTMLEncode(rsMgrName.GetColumn(const_dbRES_NAME).substr(0,30));
rsMgrName.Close();
}
break;
case const_PjMsgType_RDELEGATION:
case const_PjMsgType_RRDELEGATION:
this.sTitle = oStrings.GetString( IDS_MSGS_DELEG_REPLY_TITLE_TEXT );
if (bReply)
{
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_DELEG_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName);
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30))
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + ' ' + this.sPeriodRange + '\r     ' +                    
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');        
}
else
{
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
var rsMgrName = oPJQuery.OpenRecordset(const_PjQuery_ManagerNameFromMsgID, this.nMsgID);
if (rsMgrName.GetColumnAsNumber(const_dbWRES_ID) != oPJSession.oUser.nUserID) 
{
if (this.nMsgType == const_PjMsgType_RDELEGATION)
this.sTo = this.sTo + oLocalizedStrings.sListSep + '&nbsp;' + oStrings.HTMLEncode(rsMgrName.GetColumn(const_dbRES_NAME).substr(0,30));
}
else
this.bAllowUpdate = true;
rsMgrName.Close();
if (this.nMsgType == const_PjMsgType_RDELEGATION) 
{
var rsResName = oPJQuery.OpenRecordset(const_PjQuery_DelegatorNameFromMsgID, this.nMsgID, oPJSession.oUser.nUserID);
if (rsResName.RecordCount)
this.sTo = this.sTo + oLocalizedStrings.sListSep + '&nbsp;' + oStrings.HTMLEncode(rsResName.GetColumn(const_dbRES_NAME).substr(0,30));
rsResName.Close();
}
}
break;
case const_PjMsgType_DELEGATIONREQ:
var rsTemp = oPJQuery.OpenRecordset( const_PjQuery_GetAllAssnsForDelegReqMgr, oPJSession.oUser.nUserID, nMsgID );
this.bDelegAccepted = true;
while ( !rsTemp.EOF() && this.bDelegAccepted ) 
{
if (rsTemp.GetColumnAsBoolean('WASSN_DELEG_PENDING')) 
this.bDelegAccepted = false;
rsTemp.MoveNext();
}
rsTemp.Close();
this.sTitle = oStrings.GetString( IDS_MSGS_DELEG_TITLE_TEXT );
if (bReply)
{
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_DELEG_REPLY_MGR_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName);
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME));
var rsToList = oPJQuery.OpenRecordset( const_PjQuery_DelegeeNamesFromMsgID, this.nMsgID );
for( ; !rsToList.EOF(); rsToList.MoveNext() )
{
this.sTo += oLocalizedStrings.sListSep + '&nbsp;';
this.sTo += oStrings.HTMLEncode(rsToList.GetColumn(const_dbRES_NAME).substr(0,30));
} 
rsToList.Close(); 
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + ' ' + this.sPeriodRange + '\r     ' +                    
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');        
}
else
{
this.sHeader      = oStrings.GetString( IDS_MSGS_REQ_RESPONSE_HEADER_TEXT  );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_DELEG_MGR_BANTER_TEXT );
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)); 
var rsToList = oPJQuery.OpenRecordset( const_PjQuery_DelegeeNamesFromMsgID, this.nMsgID );
for( ; !rsToList.EOF(); rsToList.MoveNext() )
{
this.sTo += oLocalizedStrings.sListSep + '&nbsp;';
this.sTo += oStrings.HTMLEncode(rsToList.GetColumn(const_dbRES_NAME));
} 
rsToList.Close(); 
this.bResponseRequired = true;                          
this.bAllowUpdate = true;
this.bReplyAndUpdate = true;  
}
break;
case const_PjMsgType_RDELEGATIONREQ:
case const_PjMsgType_RRDELEGATIONREQ:
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_DELEG_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));  
if (this.nMsgType == const_PjMsgType_RDELEGATIONREQ) 
{
var rsToList = oPJQuery.OpenRecordset( const_PjQuery_DelegatorAndDelegeeNamesFromMsgID, this.nMsgID, oPJSession.oUser.nUserID );
for( ; !rsToList.EOF(); rsToList.MoveNext() )
{
this.sTo += oLocalizedStrings.sListSep + '&nbsp;';
this.sTo += oStrings.HTMLEncode(rsToList.GetColumn(const_dbRES_NAME).substr(0,30));
} 
rsToList.Close(); 
}
}  
break;
case const_PjMsgType_ADELEGATIONREQ:
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_DELEG_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)); 
var rsToList = oPJQuery.OpenRecordset( const_PjQuery_DelegeeNamesFromMsgID, this.nMsgID );
for( ; !rsToList.EOF(); rsToList.MoveNext() )
{
this.sTo += oLocalizedStrings.sListSep + '&nbsp;';
this.sTo += oStrings.HTMLEncode(rsToList.GetColumn(const_dbRES_NAME).substr(0,30));
} 
rsToList.Close(); 
this.bAllowUpdate = true;
}  
break;
case const_PjMsgType_LEADCHANGE:
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_LEAD_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_LEAD_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)); 
var rsToList = oPJQuery.OpenRecordset( const_PjQuery_LeadAndDelegeeNamesFromMsgID, this.nMsgID, oPJSession.oUser.nUserID );
for( ; !rsToList.EOF(); rsToList.MoveNext() )
{
this.sTo += oLocalizedStrings.sListSep + '&nbsp;';
this.sTo += oStrings.HTMLEncode(rsToList.GetColumn(const_dbRES_NAME).substr(0,30));
} 
rsToList.Close(); 
}  
break;
case const_PjMsgType_RLEADCHANGE:
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_LEAD_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_DELEG_LEAD_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)); 
}  
break;
case const_PjMsgType_UPDATE:
this.cfField      = "MSPJWCCustomFields";
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TU_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TU_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TU_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TU_BANTER_TEXT, '<A ID="idTimeSheetLink" CLASS="HyperLink" HREF="../Tasks/TasksPage.asp" TITLE="' + oStrings.GetString( IDS_MSGS_TA_TIMESHEET_ALT ) + '" ACCESSKEY="' + oStrings.GetString( IDS_MSGS_TA_TIMESHEET_KEY ) +  '">', '</A>' );
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
}  
break;
case const_PjMsgType_RUPDATE:
this.nAssnResID   = rsMsg.GetColumnAsNumber(const_dbWRES_ID_SENDER);
this.cfField      = "MSPJWCCustomFields";
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TU_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TU_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60);
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_TU_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
}  
break;
case const_PjMsgType_CALENDAR:
this.nAssnResID = rsMsg.GetColumnAsNumber(const_dbWRES_ID_SENDER);
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_WC_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_WC_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_WC_TITLE_TEXT );
this.bResponseRequired = true;
this.sHeader      = oStrings.GetString( IDS_MSGS_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_WC_BANTER_TEXT );
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
this.bAllowUpdate = true;
}  
break;
case const_PjMsgType_RCALENDAR:
this.nAssnResID = rsMsg.GetColumnAsNumber(const_dbWRES_ID_SENDER);
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_WC_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_WC_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_WC_REPLY_TITLE_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
}  
break;
case const_PjMsgType_NEWTASKS:
this.nAssnResID = rsMsg.GetColumnAsNumber(const_dbWRES_ID_SENDER);
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_NT_REPLY_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_TA_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_NT_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_NT_BANTER_TEXT );
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
this.bAllowUpdate = true;
this.bReplyAndUpdate = !this.bUpdated;
this.bResponseRequired = true;
}  
break;
case const_PjMsgType_RNEWTASKS:
if (bReply)
{
this.sTitle       = oStrings.GetString( IDS_MSGS_NT_REPLY_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = oStrings.GetString( IDS_MSGS_NT_REPLY_BANTER_TEXT );
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
}
else
{
this.sTitle       = oStrings.GetString( IDS_MSGS_NT_REPLY_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30));
this.bReply       = true;
}  
break;
case const_PjMsgType_DELETED: 
if(bReply) {
this.sTitle       = oStrings.GetString( IDS_MSGS_AC_REPLY_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
} else {
this.sTitle       = oStrings.GetString( IDS_MSGS_AC_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0, 30));
}
break;
case const_PjMsgType_RDELETED:
if(bReply) {
this.sTitle       = oStrings.GetString( IDS_MSGS_AC_REPLY_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_SENT_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(oPJSession.oUser.sName.substr(0, 30));
this.sTo          = oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sBody        = '\r\r\r     ' + oStrings.GetString( IDS_MSGS_ORIGINAL_MESSAGE_TEXT ) + '\r     ' + 
oStrings.GetString( IDS_MSGS_FROM_LBL ) + ' ' + oStrings.HTMLEncode(rsMsg.GetColumn(const_dbRES_NAME).substr(0,30)) + '     ' +
oStrings.GetString( IDS_MSGS_DATE_LBL ) + ' ' + oLocalizedStrings.ConvVar(const_TYPE_DATE_ENG96, rsMsg.GetColumnAsProjDate(const_dbWMSG_TIME),0) + '     ' +
oStrings.GetString( IDS_MSGS_SUBJECT_LBL ) + ' ' + sSubj + '  \r     ' +
oStrings.GetString( IDS_MSGS_TO_LBL ) + ' ' + oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0,30)) + '\r\r     ' +
sBody.replace(/\r/g, '\r     ');
} else {
this.sTitle       = oStrings.GetString( IDS_MSGS_AC_REPLY_SUBJECT_TEXT );
this.sHeader      = oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT );
this.sBanterHTML  = '';
this.sFrom        = escape(rsMsg.GetColumn(const_dbRES_NAME).substr(0, 60));
this.sTo          = oStrings.HTMLEncode(oPJSession.oUser.sName.substr(0, 30));
}
break;
} 
if (rsMsg.GetColumnAsNumber(const_dbWRES_ID_RECIEVER) != oPJSession.oUser.nUserID)
this.bAllowUpdate = false;
rsMsg.Close();
this.nPrevMsgID = null;
this.nNextMsgID = null;
var rsMsgs = oPJQuery.OpenRecordset( const_PjQuery_GetMsgForRecipientID, oPJSession.oUser.nUserID );
if (rsMsgs.RecordCount > 0)
{
var nLastMsgID = null;
for( ; !rsMsgs.EOF() ; rsMsgs.MoveNext() )
{
if (rsMsgs.GetColumnAsNumber(const_dbWMSG_ID) == this.nMsgID)
{
this.nPrevMsgID = nLastMsgID;
}  
if (nLastMsgID == this.nMsgID)
{
this.nNextMsgID = rsMsgs.GetColumnAsNumber(const_dbWMSG_ID);
break;
}
nLastMsgID = rsMsgs.GetColumnAsNumber(const_dbWMSG_ID);
}
}
rsMsgs.Close();
oPJQuery.Disconnect();
if (this.bWasRead != true)
{
oPJQuery.Connect( true );
var rsMsgs = oPJQuery.OpenRecordset( const_PjQuery_GetAllMessagesForMessageId, nMsgID );
rsMsgs.SetColumn(const_dbWMSG_WAS_READ, true );
rsMsgs.Update();
rsMsgs.Close();
oPJQuery.Disconnect();
}
oPJQuery = null;
this.GetQueryID = oMsgInfo_GetQueryID;
this.GetFieldLists = oMsgInfo_GetFieldLists;
this.nQueryID = this.GetQueryID();
this.bHasActuals = ((this.nMsgType == const_PjMsgType_STATUSREQ)  || (this.nMsgType == const_PjMsgType_STATUSREQLEAD) ||
(this.nMsgType == const_PjMsgType_RSTATUSREQ) || (this.nMsgType == const_PjMsgType_RSTATUSREQLEAD));
this.GetFieldLists();
}
function oMsgInfo_GetQueryID()
{
var nQueryID;
switch(this.nMsgType) 
{
case const_PjMsgType_DELEGATION:
nQueryID = const_PjBouQuery_GetAssnForDelegMessage;
break;
case const_PjMsgType_RDELEGATION:
case const_PjMsgType_RRDELEGATION:
nQueryID = const_PjBouQuery_GetAssnForRejectDelegMessage;
break;
case const_PjMsgType_DELEGATIONREQ:
nQueryID = const_PjBouQuery_GetAssnForDelegMessageAndMgr;
break;
case const_PjMsgType_ADELEGATIONREQ:
nQueryID = const_PjBouQuery_GetAssnForAcceptDelegMessageMgrAndResID;
break;
case const_PjMsgType_RDELEGATIONREQ:
case const_PjMsgType_RRDELEGATIONREQ:
nQueryID = const_PjBouQuery_GetAssnForRejectDelegMessageMgrAndResID;
break;
case const_PjMsgType_CALENDAR:
case const_PjMsgType_RCALENDAR:
nQueryID = const_PjBouQuery_GetNonworkingForMsgId;
break;
case const_PjMsgType_RSTATUSREQ:
case const_PjMsgType_RSTATUSREQLEAD:
case const_PjMsgType_STATUSREQLEAD:
nQueryID = const_PjBouQuery_GetAssnForMessageAndMgrOrLead;
break;
case const_PjMsgType_LEADCHANGE:
case const_PjMsgType_RLEADCHANGE:
nQueryID = const_PjBouQuery_GetAssnForLeadChange;
break;
case const_PjMsgType_ASSIGN:
nQueryID = const_PjBouQuery_GetAssnForMessage;
break;
case const_PjMsgType_RASSIGN:
nQueryID = const_PjBouQuery_GetAssnForMessageAndMgr;
break;
case const_PjMsgType_NEWTASKS:
case const_PjMsgType_RNEWTASKS:
nQueryID = const_PjBouQuery_GetAssnForMessage;
break;
default:
nQueryID = const_PjBouQuery_GetAssnForMessage;
}
return nQueryID;
}
function oMsgInfo_GetFieldLists()
{
var sEditable = '';
this.sFieldList_RightPanel = '';
switch( this.nMsgType ) 
{
case const_PjMsgType_ASSIGN:
this.sFieldList = (this.bCanDecline ? ((this.bIsReply ? '+' : '') + const_dbWASSN_IS_CONFIRMED + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_LBL) + '],') : '') + 
(this.bIsReply ? '+' : '') + const_dbWASSN_COMMENTS + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' + 
(this.bIsReply ? '+' : '') + const_dbASSN_REM_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAINING_LBL ) + '],' + 
const_dbASSN_START_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_START_LBL ) + '],' + 
const_dbASSN_FINISH_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL ) + '],' + 
const_dbWASSN_PCT_COMP + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_PERCENT_COMPLETE_LBL ) + ']';
break;
case const_PjMsgType_RASSIGN:
this.sFieldList = const_dbWASSN_IS_CONFIRMED + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_LBL) + '],' + 
(this.bIsReply ? '+' : '') + const_dbWASSN_COMMENTS + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' + 
const_dbASSN_REM_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAINING_LBL ) + '],' + 
const_dbASSN_START_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_START_LBL ) + '],' + 
const_dbASSN_FINISH_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL ) + '],' + 
const_dbWASSN_PCT_COMP + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_PERCENT_COMPLETE_LBL ) + ']';
break;
case const_PjMsgType_STATUSREQ:
sEditable = '+';
case const_PjMsgType_STATUSREQLEAD:
this.sFieldList = '#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' +
(this.nMsgType == const_PjMsgType_STATUSREQLEAD ? (const_dbRES_NAME + '[Assigned To],') : '') +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' + 
sEditable + const_dbASSN_REM_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAINING_LBL ) + '],' + 
const_dbASSN_START_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_START_LBL ) + '],' + 
const_dbASSN_FINISH_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL ) + '],' + 
sEditable + const_dbWASSN_PCT_COMP + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_PERCENT_COMPLETE_LBL ) + '],' + 
sEditable + const_dbWASSN_COMMENTS + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL ) + ']';
this.sFieldList_RightPane = sEditable + 'MSPJWCActualWork';
break;
case const_PjMsgType_RSTATUSREQ:
case const_PjMsgType_RSTATUSREQLEAD:
this.sFieldList = '#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' + 
const_dbASSN_REM_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAINING_LBL ) + '],' + 
const_dbASSN_START_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_START_LBL ) + '],' + 
const_dbASSN_FINISH_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL ) + '],' + 
const_dbWASSN_PCT_COMP + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_PERCENT_COMPLETE_LBL ) + '],' + 
(this.bIsReply ? '+' : '') + const_dbWASSN_COMMENTS + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL ) + ']';
this.sFieldList_RightPane = 'MSPJWCActualWork';
break;
case const_PjMsgType_DELEGATION:
this.sFieldList = 'MSPJWCTaskIndicators[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_REMARKS_LBL) + '],' +
(this.bIsReply ? '+' : '' ) + const_dbWDELEG_ACCEPT + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_LBL) + '],' +
(this.bIsReply ? '+' : '' ) + const_dbWASSN_COMMENTS + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL ) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
'TFalse[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAIN_LEAD_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + ']';
break;
case const_PjMsgType_RDELEGATION:
case const_PjMsgType_RRDELEGATION:
this.sFieldList = 'MSPJWCTaskIndicators[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_REMARKS_LBL) + '],' +
const_dbWDELEG_ACCEPT + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_BY_RES_LBL) + '],' +
const_dbWASSN_COMMENTS + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL ) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
'TFalse[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAIN_LEAD_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + ']';
break;
case const_PjMsgType_DELEGATIONREQ:
this.sFieldList = 'MSPJWCTaskIndicators[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_REMARKS_LBL) + '],' +
'+' + const_dbWDELEG_APPROVE + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_LBL) + '],' +
'+' + const_dbWASSN_COMMENTS + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL ) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
'TDelegeeName[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_DELEGATEENAME_LBL ) + '],' + 
'TFalse[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAIN_LEAD_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + ']';
break;
case const_PjMsgType_ADELEGATIONREQ: 
this.sFieldList = 'MSPJWCTaskIndicators[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_REMARKS_LBL) + '],' +
const_dbWDELEG_APPROVE + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_BY_MGR_LBL) + '],' +
const_dbWASSN_COMMENTS + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL ) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
'TDelegeeName[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_DELEGATEENAME_LBL ) + '],' + 
'TFalse[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAIN_LEAD_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + ']';
break;
case const_PjMsgType_RDELEGATIONREQ:
case const_PjMsgType_RRDELEGATIONREQ:
this.sFieldList = 'MSPJWCTaskIndicators[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_REMARKS_LBL) + '],' +
const_dbWDELEG_APPROVE + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_BY_MGR_LBL) + '],' +
const_dbWASSN_COMMENTS + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL ) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
'TDelegeeName[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_DELEGATEENAME_LBL ) + '],' + 
'TFalse[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAIN_LEAD_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + ']';
break;
case const_PjMsgType_CALENDAR:
case const_PjMsgType_RCALENDAR:
this.sFieldList = const_dbWNONWORK_SUBJECT + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_SUBJECT_LBL) + '],' +
const_dbWNONWORK_START + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_START_LBL) + '],' + 
const_dbWNONWORK_END + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL) + '],' + 
const_dbWNONWORK_IS_ALLDAY + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_IS_ALLDAY_LBL) + ']';
break;
case const_PjMsgType_LEADCHANGE:
case const_PjMsgType_RLEADCHANGE:
this.sFieldList = '#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' +
'TLeadName[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_NEW_LEAD_LBL) + '],' +
const_dbRES_NAME + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ASSIGNED_TO_LBL) + '],' +
const_dbASSN_START_DATE + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_START_LBL) + '],' +
const_dbASSN_FINISH_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' +
const_dbASSN_REM_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_REMAINING_LBL ) + '],' +
const_dbWASSN_COMMENTS + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL) + ']';
break;
case const_PjMsgType_UPDATE:
case const_PjMsgType_RUPDATE:
this.sFieldList = const_dbWASSN_COMMENTS + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' + 
const_dbASSN_START_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_START_LBL ) + '],' + 
const_dbASSN_FINISH_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL ) + '],' + 
const_dbWASSN_PCT_COMP + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_PERCENT_COMPLETE_LBL ) + ']';
break;
case const_PjMsgType_NEWTASKS:
this.sFieldList = 
(this.bUpdated ? '' : '+') + 'TAcceptNewTask[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_LBL) + '],' +
(this.bUpdated ? '' : '+') + const_dbWASSN_COMMENTS + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' + 
const_dbASSN_START_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_START_LBL ) + ']';
break;                   
case const_PjMsgType_RNEWTASKS:
this.sFieldList = 
'TAcceptNewTask[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_BY_MGR_LBL) + '],' +
const_dbWASSN_COMMENTS + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL) + '],' +
'#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' + 
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' + 
const_dbASSN_START_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_START_LBL ) + ']';
break;
default:
this.sFieldList = '#' + const_dbTASK_NAME + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_TASKNAME_LBL ) + '],' +
const_dbASSN_WORK + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_WORK_LBL ) + '],' +
const_dbASSN_START_DATE + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_START_LBL) + '],' +
const_dbASSN_FINISH_DATE + '[' + oStrings.GetString( IDS_MSGS_TA_GRID_COLUMN_FINISH_LBL ) + '],' +
const_dbWASSN_COMMENTS + '[' + oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_COMMENTS_LBL) + ']';
}
if (this.cfField != "")
this.sFieldList = this.sFieldList + "," + this.cfField;
}
function Shell_ActionsPane_GetCurrentItemID()
{
return 'idMessagesTC';
}
var today = new Date;
var nextweek = new Date();
nextweek.setDate(today.getDate()+6);
var dTodayPj    = JDate2ProjDate(today);
var dNextWeekPj = JDate2ProjDate(nextweek);
var nMsgID = Request.QueryString('MsgID').Item;
var bReply = (Request.QueryString('Reply').Count != 0);
if ((typeof(nMsgID) == 'undefined') || (nMsgID.length ==  0))
window.history.back();
var sDelegatorName = "";
var oMsgInfo = new MsgInfo( nMsgID );
if(oMsgInfo.sErrorMsg != null) {
Response.Redirect( 'msglist.asp' );
}
%>

<TABLE ID="idPageHeaderTable" CLASS="DisplayTable" CELLSPACING="0" CELLPADDING="0"  WIDTH="90%" STYLE="font-size: 100%; margin-bottom: 4; margin-left: 4;">
<TR>
<TD>
<DIV CLASS="PageTitle" STYLE="padding-left: 0;"><%=oStrings.GetString( IDS_MSGS_TITLE_TEXT )%>&nbsp;<SPAN CLASS="PageTitleText"><%=oMsgInfo.sTitle%></SPAN></DIV>
</TD>
<TD ALIGN="right">
<A ID="idMessageListLink" CLASS="HyperLinkButtonBar" STYLE="font-size: 70%;" HREF="MsgList.asp" TITLE="<%=oStrings.GetString( IDS_MSGS_TA_MESSAGELIST_ALT )%>" ACCESSKEY="<%=oStrings.GetString( IDS_MSGS_TA_MESSAGELIST_KEY )%>"><%=oStrings.GetString( IDS_MSGS_TA_MESSAGELIST_LBL )%></A>
</TD>
</TR>  
<TR>
<TD COLSPAN="2">
<TABLE ID="idMsgButtonsTable" CLASS="DisplayTable" BORDER="0" CELLSPACING="0" CELLPADDING="0" STYLE="font-size: 88%; visibility: <%=oMsgInfo.bIsReply ? 'hidden' : 'visible'%>;">
<TR>
<TD ID="idDeleteTD"    STYLE="border-right: 1 black solid; border-left: 1 black solid;"><A ID="idDeleteLink" CLASS="HyperLinkButton" STYLE="font-size: 80%;" HREF="*" TITLE="<%=oStrings.GetString(IDS_MSGS_DELETE_ALT)%>" ONCLICK="DeleteLink_OnClick(true)" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_DELETE_KEY)%>">&nbsp;<img CLASS="HyperLinkButtonImage" src="../images/delete.gif" ALT="<%=oStrings.GetString(IDS_MSGS_DELETE_ALT)%>" TITLE="<%=oStrings.GetString( IDS_MSGS_DELETE_ALT)%>">&nbsp;<%=oStrings.GetString( IDS_MSGS_DELETE_LBL ).replace(/ /g, '&nbsp;')%>&nbsp;</A></TD>
<TD ID="idPreviousTD"  STYLE="border-right: 1 black solid; <%=(oMsgInfo.nPrevMsgID == null)? 'display: none;' : ''%>"><A ID="idPreviousLink" CLASS="HyperLinkButton" STYLE="font-size: 80%" HREF="MessageForm.asp?MsgID=<%=oMsgInfo.nPrevMsgID%>" TITLE="<%=oStrings.GetString(IDS_MSGS_PREVIOUS_ALT)%>" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_PREVIOUS_KEY)%>"  >&nbsp;<img CLASS="HyperLinkButtonImage" src="../images/previousMessage.gif" ALT="<%=oStrings.GetString(IDS_MSGS_PREVIOUS_ALT)%>"   TITLE="<%=oStrings.GetString( IDS_MSGS_PREVIOUS_ALT)%>"  >&nbsp;<%=oStrings.GetString( IDS_MSGS_PREVIOUS_LBL ).replace(/ /g, '&nbsp;')%>&nbsp;</A></TD>
<TD ID="idNextTD"      STYLE="border-right: 1 black solid; <%=(oMsgInfo.nNextMsgID == null)? 'display: none;' : ''%>"><A ID="idNextLink" CLASS="HyperLinkButton" STYLE="font-size: 80%;" HREF="MessageForm.asp?MsgID=<%=oMsgInfo.nNextMsgID%>" TITLE="<%=oStrings.GetString(IDS_MSGS_NEXT_ALT)%>" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_NEXT_KEY)%>" >&nbsp;<img CLASS="HyperLinkButtonImage" src="../images/nextMessage.gif" ALT="<%=oStrings.GetString(IDS_MSGS_NEXT_ALT)%>"  TITLE="<%=oStrings.GetString( IDS_MSGS_NEXT_ALT)%>" >&nbsp;<%=oStrings.GetString( IDS_MSGS_NEXT_LBL ).replace(/ /g, '&nbsp;')%>&nbsp;</A></TD>
</TR>
</TABLE>  
</TD>
</TR>
</TABLE>
<DIV ID="idSection" CLASS="Section" WIDTH="100%">
<DIV ID="idSectionHeaderInfo" CLASS="SectionHeaderInfo" STYLE="font-size: 70%; padding-left: 0;">
<TABLE ID="idSectionHeaderInfoTable" CLASS="DisplayTable" CELLSPACING="0" CELLPADDING="0" STYLE="margin-left: 4;"> 
<TR>
<TD VALIGN="center"><IMG ID="idResponseRequiredImg" SRC="../images/messagesAlert.gif" ALT="<%=oStrings.GetString( IDS_MSGS_ALERT_ALT )%>" STYLE="display: <%=oMsgInfo.bResponseRequired ? 'inline' : 'none'%>" ></TD>
<TD VALIGN="center" STYLE="padding-left: 4;"><B><SPAN ID="idSectionHeaderText" CLASS="SectionHeaderInfo" STYLE="font-size: 100%; padding-left: 0;"><%=oMsgInfo.sHeader%></SPAN></B></TD>
</TR>
</TABLE>
</DIV>
<DIV ID="idSectionContents" CLASS="SectionContents" STYLE="padding-bottom: 4;">
<DIV ID="idBanterText" STYLE="margin-bottom: 8; margin-left: 4; width: 80%; height: 3em;"><%=oMsgInfo.sBanterHTML%></DIV>
<TABLE ID="idButtonTable" CLASS="DisplayTable" BORDER="0" CELLSPACING="0" CELLPADDING="0" STYLE="margin-left: 4; margin-bottom: 6;">
<TR>
<TD STYLE="padding-right: 8; display: <%=(oMsgInfo.bAllowUpdate && (oMsgInfo.nMsgType != const_PjMsgType_CALENDAR)) ? 'inline' : 'none'%>;">
<BUTTON ID="idUpdateBtn" NAME="idUpdateBtn" CLASS="InputButton" STYLE="font-size: 100%; width: 8em;"  ONCLICK="UpdateBtn_OnClick()" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_UPDATE_KEY)%>" TITLE="<%=oStrings.GetString(IDS_MSGS_UPDATE_ALT)%>"><%=oStrings.GetString(IDS_MSGS_UPDATE_LBL)%></BUTTON>
</TD>
<TD STYLE="padding-right: 8; display: <%=(oMsgInfo.bAllowUpdate && (oMsgInfo.nMsgType == const_PjMsgType_CALENDAR)) ? 'inline' : 'none'%>;">
<BUTTON ID="idUpdateCalendarBtn" NAME="idUpdateCalendarBtn" CLASS="InputButton" STYLE="font-size: 100%; width: 8em;"  ONCLICK="UpdateBtn_OnClick()" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_WC_UPDATE_KEY)%>" TITLE="<%=oStrings.GetString(IDS_MSGS_WC_UPDATE_ALT)%>" DISABLED><%=oStrings.GetString(IDS_MSGS_WC_UPDATE_LBL)%></BUTTON>
</TD>
<TD STYLE="padding-right: 8; display: <%=oMsgInfo.bIsReply ? 'inline' : 'none'%>;">
<BUTTON ID="idSendBtn" NAME="idSendBtn" CLASS="InputButton" STYLE="font-size: 100%; width: 8em;"  ONCLICK="SendBtn_OnClick()" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_SEND_KEY)%>" TITLE="<%=oStrings.GetString(IDS_MSGS_SEND_ALT)%>" DISABLED><%=oStrings.GetString(IDS_MSGS_SEND_LBL)%></BUTTON>
</TD>
<TD STYLE="padding-right: 8; display: <%=((!oMsgInfo.bIsReply) && (!oMsgInfo.bReplyAndUpdate) && (oMsgInfo.nMsgType != const_PjMsgType_ADELEGATIONREQ)) ? 'inline' : 'none'%>;">
<BUTTON ID="idReplyBtn" NAME="idReplyBtn" CLASS="InputButton" STYLE="font-size: 100%; width: 8em;"  ONCLICK="ReplyBtn_OnClick()" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_REPLY_KEY)%>" TITLE="<%=oStrings.GetString(IDS_MSGS_REPLY_ALT)%>"><%=oStrings.GetString(IDS_MSGS_REPLY_LBL)%></BUTTON>
</TD>
<TD STYLE="padding-right: 8; display: <%=oMsgInfo.bReplyAndUpdate ? 'inline' : 'none'%>;">
<BUTTON ID="idReplyAndUpdateBtn" NAME="idReplyAndUpdateBtn" CLASS="InputButton" STYLE="font-size: 100%; width: <%=oStrings.GetString(IDS_MSGS_REPLYANDUPDATE_WIDTH)%>;"  ONCLICK="ReplyAndUpdateBtn_OnClick()" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_REPLYANDUPDATE_KEY)%>" TITLE="<%=oStrings.GetString(IDS_MSGS_REPLYANDUPDATE_ALT)%>" DISABLED><%=oStrings.GetString(IDS_MSGS_REPLYANDUPDATE_LBL)%></BUTTON>
</TD>
<TD>
<BUTTON ID="idCloseBtn" NAME="idCloseBtn" CLASS="InputButton" STYLE="font-size: 100%; width: 8em;"  ONCLICK="CloseBtn_OnClick()" ACCESSKEY="<%=oStrings.GetString(IDS_MSGS_CLOSE_KEY)%>" TITLE="<%=oStrings.GetString(IDS_MSGS_CLOSE_ALT)%>"><%=oStrings.GetString(IDS_MSGS_CLOSE_LBL)%></BUTTON>
</TD>
</TR>     
</TABLE>  
<DIV ID="idMessageBody" CLASS="MessageBody" STYLE="width: 100%; margin-left: 4; margin-right: 4; padding-bottom: 8;">
<TABLE ID="idMessageHeaderTable" CLASS="DisplayTable" BORDER="0" CELLSPACING="0" CELLPADDING="0" STYLE="font-size: 1em; margin-top: 4; margin-left: 16; padding-right: 4;">
<TR STYLE="padding-bottom: 4;">
<TD id="idFrom1" ><B><%=oStrings.GetString( IDS_MSGS_FROM_LBL )%></B>&nbsp;</TD>
<TD id="idFrom2"  STYLE="width: 15em;"></TD> 
<TD TITLE="<%=oMsgInfo.sTime%>" STYLE="width: 12em;"><B><%=oStrings.GetString( IDS_MSGS_DATE_LBL )%></B>&nbsp;<%=oMsgInfo.sTime%></TD>
<TD TITLE="<%=oMsgInfo.sSubject%>"><B><%=oStrings.GetString( IDS_MSGS_SUBJECT_LBL )%></B></TD>
<TD TITLE="<%=oMsgInfo.sSubject%>">&nbsp;<%=oMsgInfo.sSubject%></TD>
</TR>
<TR>
<TD TITLE="<%=oMsgInfo.sTo%>"><B><%=oStrings.GetString( IDS_MSGS_TO_LBL )%></B>&nbsp;</TD>
<TD COLSPAN="3" TITLE="<%=oMsgInfo.sTo%>"><%=oMsgInfo.sTo%></TD>
<TD TITLE="<%=oMsgInfo.sSubject%>">&nbsp;<%=oMsgInfo.sPeriodRange%></TD>
</TR>
</TABLE>
<FORM ID="idMessageForm" NAME="idMessageForm" TARGET="idExecASP" ACTION="SendMessage.asp" METHOD="POST" STYLE="margin-bottom: 0; margin-top: 0;">
<TEXTAREA ID="idMessageBodyText" NAME="idMessageBodyText" CLASS="InputTextArea" ROWS="4" WRAP="VIRTUAL" <%=oMsgInfo.bIsReply ? '' : 'READONLY'%>
STYLE="overflow: auto; width: 97%; margin-top: 8; margin-left: 8; margin-bottom: 8; padding-top: 4; padding-left: 4;"><%=oMsgInfo.sBody%></TEXTAREA>
<INPUT ID="idMessageSubjectText" NAME="idMessageSubjectText" TYPE="HIDDEN" VALUE="<%=oMsgInfo.sSubject%>"></INPUT>          
</FORM>            
<OBJECT
ID="MSPJGrid"
ALT="Microsoft Project Task Grid"
CLASSID="CLSID:BE194B4A-6063-11D1-BE5C-00C04FB90759"
CODEBASE="<%=ApplicationVirtualPath() + const_MSPJGrid + '#version' + const_MSPJGrid_version%>"
WIDTH="98%" HEIGHT="64" STYLE="margin-left: 8;">
</OBJECT>
</DIV>
</DIV>
</DIV>
<OBJECT
ID="PjWcUtil"
CLASSID="clsid:B8015B9A-1C3E-11D2-AF30-00C04FB6FABB"
CODEBASE="<%=ApplicationVirtualPath() + const_PjWcUtil + '#version=' + const_PjWcUtil_version%>"
STYLE="display: none">
</OBJECT>
<OBJECT
ID="RDSDataSpace"
CLASSID="clsid:BD96C556-65A3-11D0-983A-00C04FC29E36"
STYLE="display: none">
</OBJECT>
<%
if (oMsgInfo.bAllowUpdate || oMsgInfo.nMsgType == const_PjMsgType_DELEGATIONREQ || oMsgInfo.nMsgType ==const_PjMsgType_NEWTASKS && !oMsgInfo.bUpdated )
{
%>  
<OBJECT
ID="PjUpdate"
CLASSID="clsid:D88412BA-D3CA-11D1-B2EC-00C04FB9070C"
CODEBASE="<%=ApplicationVirtualPath() + const_ProjUpdPrj + '#version' + const_ProjUpdPrj_version%>"
STYLE="display: none">
</OBJECT>
<%  
}
%>
<!--#include file="../includes/cscookies.inc" -->
<SCRIPT LANGUAGE=JScript>
var nExecASPTimerID = null; 
var rs1 = null;
var rs2 = null;
var rs3 = null;
var rs4 = null;
var oBusObj = null;
var bProjAvail = false;
var bReadOnly = false;
var ds;
function Workspace_OnLoad()
{
document.all.idFrom1.title = unescape("<%=oMsgInfo.sFrom%>");
document.all.idFrom2.title = unescape("<%=oMsgInfo.sFrom%>");
document.all.idFrom2.innerText = unescape("<%=oMsgInfo.sFrom%>");
<%  
if (oMsgInfo.bAllowUpdate)
{
%>  
bProjAvail = PjUpdate.IsMSProjectAvailable!=0;
<%
if (oMsgInfo.nMsgType == const_PjMsgType_RDELEGATION || oMsgInfo.nMsgType == const_PjMsgType_RRDELEGATION)
{
%>  
if (!bProjAvail)
{
document.all.idResponseRequiredImg.style.display = 'none'; 
document.all.idSectionHeaderText.innerText = '<%=oStrings.GetString( IDS_MSGS_NOT_REQ_RESPONSE_HEADER_TEXT  )%>';
document.all.idBanterText.innerHTML  = '';
document.all.idUpdateBtn.disabled = true;
}  
else
{
document.all.idUpdateBtn.disabled = bReadOnly;
document.all.idUpdateBtn.style.display = 'inline'
document.all.idResponseRequiredImg.style.display = 'inline'; 
document.all.idSectionHeaderText.innerText = '<%=oStrings.GetString( IDS_MSGS_REQ_RESPONSE_HEADER_TEXT  )%>';
document.all.idBanterText.innerHTML  = "<%=oStrings.GetString( IDS_MSGS_TSR_BANTER_TEXT )%>";
}
<%        
}
}
%>
oBusObj = RDSDataSpace.CreateObject("PjBusObj.PjTaskBusObj", "http://<%=oPJSession.sServerName%>");
ds = oBusObj;
var bIsProjectAvailable =  (typeof(PjUpdate) != 'undefined') ? PjUpdate.IsMSProjectAvailable : false;
MSPJGrid.LCID = <%=oLocalizedStrings.sLCID%>;
MSPJGrid.SetGroupBy(0,'<%=const_dbWPROJ_ID%>[<%=const_dbPROJ_NAME%>]');
var params = [ <%=oMsgInfo.nAssnResID%>, 
<%=oMsgInfo.nMsgID%>, 
<%=oPJSession.oUser.nCookieLong0%>, 
<%=oPJSession.oUser.nCookieLong1%> ];
rs1 = oBusObj.BOQuery( "<%=ApplicationPhysicalPath(true)%>",<%=oMsgInfo.nQueryID%>, PjWcUtil.convertParams(params), <%=Session.CodePage%>);
<%if(oMsgInfo.nMsgType == const_PjMsgType_NEWTASKS) {%>
var rgValues = new Array();
var rgStrings = new Array();
rgValues[0] = 4;
rgValues[1] = 3;
rgStrings[0] = unescape("<%=escape(oStrings.GetString(IDS_MSGS_NT_YES_TEXT))%>");  
rgStrings[1] = unescape("<%=escape(oStrings.GetString(IDS_MSGS_NT_NO_TEXT))%>");
MSPJGrid.InitEnumType(1, rgValues, rgStrings);
<%if (!oMsgInfo.bUpdated && !oMsgInfo.bIsReply) {%>
if (rs1!=null && rs1.RecordCount>0) {
rs1.MoveFirst();
while (!rs1.EOF) {
rs1('TAcceptNewTask').value=4;
rs1.MoveNext();
}
rs1.MoveFirst();
}
<%  }
}%>
<%if(oMsgInfo.nMsgType == const_PjMsgType_RNEWTASKS) {%>
var rgValues = new Array();
var rgStrings = new Array();
rgValues[0] = 0;
rgValues[1] = 3;
rgStrings[0] = unescape("<%=escape(oStrings.GetString(IDS_MSGS_NT_YES_TEXT))%>");  
rgStrings[1] = unescape("<%=escape(oStrings.GetString(IDS_MSGS_NT_NO_TEXT))%>");
MSPJGrid.InitEnumType(1, rgValues, rgStrings);
<%}%>
var bActuals = false;
<%if (oMsgInfo.bHasActuals) {%>
InitTaskActualsRS(<%=const_PjBouQuery_GetTasksActualsForMgrId%>,<%=oMsgInfo.dStart%>,<%=oMsgInfo.dEnd%>,<%=oMsgInfo.nMsgID%>);
bActuals = true;
MSPJGrid.FieldList2 = '<%=oMsgInfo.sFieldList_RightPane%>';
<%}%>  
InitTaskCFRS(<%=const_PjBouQuery_GetCustomFieldsForMessage%>,<%=const_PjBouQuery_GetDistinctCustomFieldsForMessage%>,<%=oMsgInfo.nMsgID%>);
InitTaskGridwRS(bActuals,true,<%=oMsgInfo.dStart%>,<%=oMsgInfo.dEnd%>,<%=oMsgInfo.lBrokenBy%>,<%=oMsgInfo.lAType%>,true);
MSPJGrid.FieldList = '<%=oMsgInfo.sFieldList%>';
MSPJGrid.Filter     = '';
MSPJGrid.AutoFilter = true;
MSPJGrid.Total      = true;
MSPJGrid.SetSortBy('<%=const_dbTASK_ID%>');
MSPJGrid.Refresh();
if (getCookie("PrintMode")=="yes") {
if (getCookie("LeftVisibleColumn")!="")
MSPJGrid.SetFirstVisibleColumn(0,getCookie("LeftVisibleColumn"));
MSPJGrid.width = "1500";
MSPJGrid.height = MSPJGrid.PrintHeight;
}
Workspace_OnResize();
<%
if (bReply)
{
%>  
document.all.idMessageBodyText.focus();
<%    
}
%>  
<% 
if (oMsgInfo.bAllowUpdate)
{
switch(oMsgInfo.nMsgType)
{
case const_PjMsgType_DELEGATIONREQ:
%>  
document.all.idUpdateBtn.disabled = bReadOnly;
<%
break;
default:
%>
document.all.idUpdateBtn.disabled = bReadOnly || !bProjAvail;
<%
break;
}
%>
document.all.idUpdateCalendarBtn.disabled = bReadOnly || !bProjAvail;
<%
if (oMsgInfo.bReplyAndUpdate)
{
%>  
document.all.idReplyAndUpdateBtn.disabled = bReadOnly<%=(oMsgInfo.nMsgType == const_PjMsgType_NEWTASKS) ? ' || !bProjAvail' : '' %>;
<%
}
}
%>
<% 
if (oMsgInfo.bWCUpdate)
{
%>
<%
}
%>  
<% 
if (oMsgInfo.bIsReply)
{
%>
document.all.idSendBtn.disabled = bReadOnly;
<%
}
%>  
if (rs1.RecordCount == 0)
WCAlert(unescape("<%=escape(oStrings.GetString(IDS_MSGS_EMPTY_MESSAGE_ALERT))%>"),<%=(vbOKOnly | vbCritical)%>);
}
function Workspace_OnResize()
{
if (getCookie("PrintMode")=="yes") 
return;
var nGridWidth = document.all.idMessageBody.offsetWidth - 16;
if (MSPJGrid.MaxGridWidth > 10)
nGridWidth = Math.min( nGridWidth, MSPJGrid.MaxGridWidth );
var nSectionHeight = document.all.idActionsPaneDividerLower.style.pixelHeight -
document.all.idPageHeaderTable.offsetHeight -
document.all.idSectionHeaderInfo.offsetHeight - 7; 
var nBodyHeight = nSectionHeight -
document.all.idSectionHeaderInfo.offsetHeight - 
document.all.idBanterText.offsetHeight - 
document.all.idButtonTable.offsetHeight - 32;
var nGridHeight = Math.max(<%=const_gridDefaultHeight%>,nBodyHeight - 
document.all.idMessageHeaderTable.offsetHeight - 
document.all.idMessageForm.offsetHeight - 8);
if (MSPJGrid.MaxGridHeight > 10)                    
nGridHeight = Math.min( nGridHeight, MSPJGrid.MaxGridHeight );
document.all.idSection.style.pixelHeight = nSectionHeight;
document.all.idMessageBody.style.pixelHeight = nBodyHeight;
MSPJGrid.style.pixelWidth = nGridWidth;
MSPJGrid.style.pixelHeight = nGridHeight;
}
function CloseBtn_OnClick()
{
window.location.href = 'MsgList.asp';
}
function IsRSDirty( rs )
{
if ((rs != null) && (rs.RecordCount > 0))
{
for( rs.MoveFirst(); !rs.EOF; rs.MoveNext() )
{
if (rs.Status == <%=adRecModified%>)
return true;
}
}
return false;
}
function submitGridChanges()
{
var fRet=true;
var vRet=null;
if (IsRSDirty(rs1) || IsRSDirty(rs2) || IsRSDirty(rs3))
{
if (rs1 != null)  
rs1.MarshalOptions=<%=adMarshalModifiedOnly%>;
if (rs2 != null)  
rs2.MarshalOptions=<%=adMarshalModifiedOnly%>;
if (rs3 != null) 
rs3.MarshalOptions=<%=adMarshalModifiedOnly%>;
<%
switch (oMsgInfo.nMsgType) {
case const_PjMsgType_DELEGATIONREQ:%>
vRet=oBusObj.BOUpdateTaskGrid("<%=ApplicationPhysicalPath(true)%>",rs1,rs2,rs3,<%=oPJSession.oUser.nCookieLong0%>,<%=oPJSession.oUser.nCookieLong1%>,<%=Session.CodePage%>,1);
<%    break;
case const_PjMsgType_DELEGATION:%>
vRet=oBusObj.BOUpdateTaskGrid("<%=ApplicationPhysicalPath(true)%>",rs1,rs2,rs3,<%=oPJSession.oUser.nCookieLong0%>,<%=oPJSession.oUser.nCookieLong1%>,<%=Session.CodePage%>,3);
<%    break;
case const_PjMsgType_NEWTASKS:%>
oBusObj.BOCreateNewTask("<%=ApplicationPhysicalPath(true)%>",rs1, <%=oPJSession.oUser.nCookieLong0%>,<%=oPJSession.oUser.nCookieLong1%>,<%=Session.CodePage%>);   
<%    break;
default:%>
vRet=oBusObj.BOUpdateTaskGrid("<%=ApplicationPhysicalPath(true)%>",rs1,rs2,rs3,<%=oPJSession.oUser.nCookieLong0%>,<%=oPJSession.oUser.nCookieLong1%>,<%=Session.CodePage%>,0);
<%
}
%>
if (typeof(vRet)=='number' && vRet<0)
fRet=false;
if (rs1 != null)  
rs1.UpdateBatch();
if (rs2 != null)
rs2.UpdateBatch();
if (rs3 != null)  
rs3.UpdateBatch();
}
if (!fRet)
WCAlert(unescape("<%=escape(oStringsShared.GetString(IDS_SHARED_UPDATE_TO_SERVER_FAILED_ALERT))%>"),<%=(vbOKOnly | vbCritical)%>);
return fRet;
}
function SendBtn_OnClick()
{
document.all.idSendBtn.disabled = true;
event.cancelBubble = true;
event.returnValue = false;
<%if (oMsgInfo.nMsgType == const_PjMsgType_DELEGATION) {%>
var bCanReject = true;
var sUnRejectTasks = "";
if (rs1.RecordCount) rs1.MoveFirst();
for (var i = 0; i < rs1.RecordCount; i++) {
if (rs1("<%=const_dbWDELEG_ACCEPT%>").value == 0 && rs1("<%=const_dbASSN_WORK%>").value != rs1("<%=const_dbASSN_REM_WORK%>").value) {
bCanReject = false;
sUnRejectTasks = sUnRejectTasks + "   " + rs1("<%=const_dbTASK_NAME%>").value + " (" + rs1("<%=const_dbPROJ_NAME%>").value + ")\n";
}
rs1.MoveNext();
}
if (!bCanReject) {
WCAlert(unescape("<%=escape(oStrings.GetString(IDS_MSGS_ACTUALS_ENTERED_ALERT,sDelegatorName))%>").replace("^2",sUnRejectTasks),<%=(vbOKOnly | vbCritical)%>);
document.all.idSendBtn.disabled = false;
return;
}
<%}%>
<%if(!oMsgInfo.bUpdated && oMsgInfo.nMsgType == const_PjMsgType_NEWTASKS ){%>
if (PjUpdate.IsMSProjectAvailable)
{
PjUpdate.CodePage=<%=Session.CodePage%>;
PjUpdate.BasePath="<%=ApplicationPhysicalPath(true)%>";
PjUpdate.ServerURL="http://<%=oPJSession.sServerName%>";
PjUpdate.SetResLongs(<%=oPJSession.oUser.nCookieLong0%>,<%=oPJSession.oUser.nCookieLong1%>);
if (!submitGridChanges())
{
document.all.idSendBtn.disabled = false;
return;
}
var nReturnValue = (updateDelegation(<%=oMsgInfo.nMsgID%>,<%=oMsgInfo.nMsgType%>) ? 0 : -1);
if (nReturnValue >= 0)
{
nReturnValue = PjUpdate.AcceptNewTasks(<%=oMsgInfo.nMsgID%>,<%=oPJSession.oUser.nUserID%>);
if( nReturnValue < 0 )
{
WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_ERROR_UPDATING_ALERT ))%>"),<%=(vbOKOnly | vbCritical)%>);
} else {
var params = [ <%=oPJSession.oUser.nUserID%>, 
<%=oMsgInfo.nMsgID%>, 
<%=oPJSession.oUser.nCookieLong0%>, 
<%=oPJSession.oUser.nCookieLong1%>,
2 ];
oBusObj.BOQueryNoResult( "<%=ApplicationPhysicalPath(true)%>",<%=const_PjBouQuery_SetMsgProcessed%>, PjWcUtil.convertParams(params), <%=Session.CodePage%>);
}
}
}
<% 
}
%>
var sHREF = 'SendMessage.asp?MsgID=<%=oMsgInfo.nMsgID%>'; 
idMessageForm.action = sHREF;
if (!submitGridChanges())
{
document.all.idSendBtn.disabled = false;
return;
}  
idMessageForm.style.visibility = 'hidden';
idMessageForm.idMessageBodyText.value = escape(idMessageForm.idMessageBodyText.value);
idMessageForm.submit();
nExecASPTimerID = window.setInterval('WaitForCompleteThenGotoInbox( "' + sHREF + '", <%if (oMsgInfo.nMsgType == const_PjMsgType_DELEGATIONREQ || (oMsgInfo.nMsgType == const_PjMsgType_RDELEGATION && oMsgInfo.bAllowUpdate)) {%>true<%}else{%>false<%}%>, false )', 100);
}
function ReplyBtn_OnClick()
{
event.cancelBubble = true;
event.returnValue = false;
window.location.href = 'MessageForm.asp?MsgID=<%=oMsgInfo.nMsgID%>&Reply';  
}
function DeleteLink_OnClick(bHasEvent)
{
if (bHasEvent) {
event.cancelBubble = true;
event.returnValue = false;
<%if (!oMsgInfo.bUpdated && (oMsgInfo.nMsgType == const_PjMsgType_CALENDAR||oMsgInfo.nMsgType == const_PjMsgType_RASSIGN||oMsgInfo.nMsgType == const_PjMsgType_NEWTASKS||oMsgInfo.nMsgType == const_PjMsgType_RSTATUSREQ)) {%>
if (WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_DELEG_MSG_ALERT ))%>"),<%=(vbYesNo | vbQuestion)%>) == <%=vbYes%>) {
;
} else {
return;
}
<%}%>
<%if (!oMsgInfo.bUpdated && (oMsgInfo.nMsgType == const_PjMsgType_DELEGATIONREQ || oMsgInfo.nMsgType == const_PjMsgType_ADELEGATIONREQ || oMsgInfo.nMsgType == const_PjMsgType_RDELEGATION || oMsgInfo.nMsgType == const_PjMsgType_RRDELEGATION)) {%>
WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_DELEG_DELETE_MSG_ALERT ))%>"),<%=(vbOKOnly | vbCritical)%>);
return;
<%}%>
}
var sHREF = 'DeleteMessages.asp?msgs=<%=oMsgInfo.nMsgID%>'; 
document.frames['idExecASP'].window.location.href = sHREF;
nExecASPTimerID = window.setInterval('WaitForCompleteThenGotoInbox( "' + sHREF + '", false, false )', 100);
}
function WaitForCompleteThenGotoInbox( sHREF, bUpdateDeleg, bDelMessage )
{
var sURL = String('http://<%=oPJSession.sServerName%><%=ApplicationVirtualPath()%>Home/' + sHREF).toLowerCase();
if ( (document.frames['idExecASP'].window.location.href.substr(0, sURL.length).toLowerCase() == sURL ) && 
(document.frames['idExecASP'].window.document.readyState.toLowerCase() == 'complete') )
{
window.clearInterval( nExecASPTimerID );
nExecASPTimerID = null;
if (bUpdateDeleg) {
if (PjUpdate.IsMSProjectAvailable) {
if (updateProjectDelegation(<%=oMsgInfo.nMsgID%>,<%=oMsgInfo.nMsgType%>) && bDelMessage) {
PostProjUpdate(0);
return;
}
}
else
WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_PROJ_NOT_UPDATED_ALERT ))%>"), <%=(vbOKOnly | vbInformation)%>);
}
window.location.href = 'MsgList.asp';
}     
}
function PostProjUpdate(nReturnValue)
{
var fNonCriticalErr = (nReturnValue == <%=const_nPJWEB_E_NONCRITICALUPDATEERROR%>);
if (fNonCriticalErr)
nReturnValue = 0;
if (nReturnValue == <%=const_nPJWEB_E_DELEGATION_PENDING%>)
{
WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_ERROR_DELEG_PENDING))%>"),<%=(vbOKOnly | vbCritical)%>);
}
else if (nReturnValue == <%=const_nPJWEB_E_MESSAGE_NOT_FOUND%>)
{
WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_ERROR_MSG_NOT_AVAIL))%>"),<%=(vbOKOnly | vbCritical)%>);
}  
else if (nReturnValue < 0)
{
WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_ERROR_UPDATING_ALERT ))%>"),<%=(vbOKOnly | vbCritical)%>);
}  
else
{
if (!fNonCriticalErr && WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_UPDATING_ALERT ))%>\n\n<%=escape(oStrings.GetString( IDS_MSGS_UPDATING2_ALERT ))%>"),<%=(vbYesNo | vbQuestion | ((oMsgInfo.nMsgType == const_PjMsgType_CALENDAR) ? vbDefaultButton2 : 0))%>) == <%=vbYes%>)
{
DeleteLink_OnClick(false);
}
else
{
var params = [<%=oPJSession.oUser.nUserID%>, 
<%=oMsgInfo.nMsgID%>, 
<%=oPJSession.oUser.nCookieLong0%>, 
<%=oPJSession.oUser.nCookieLong1%>,
(fNonCriticalErr ? 1 : 2)];
if(!fNonCriticalErr || <%=oMsgInfo.nMsgType%>!=<%=const_PjMsgType_CALENDAR%>)  {
oBusObj.BOQueryNoResult( "<%=ApplicationPhysicalPath(true)%>",<%=const_PjBouQuery_SetMsgProcessed%>, PjWcUtil.convertParams(params), <%=Session.CodePage%>);
}
window.location.href = 'MsgList.asp';
}    
}      
}
function UpdateBtn_OnClick()
{
<%if(oMsgInfo.nMsgType == const_PjMsgType_RDELEGATION) {%>
if (rs1!=null && rs1.RecordCount>0) {
rs1.MoveFirst();
while (!rs1.EOF) {
if (Boolean(rs1('<%=const_dbWASSN_DELEG_PENDING%>').value)) {
WCAlert(unescape("<%=escape(oStrings.GetString(IDS_MSGS_DELEG_UPDATE_ORIGINAL_REQUEST_ALERT))%>"),<%=(vbOKOnly | vbCritical)%>);
return;
}
rs1.MoveNext();
}
rs1.MoveFirst();
}
<%}
if (oMsgInfo.nMsgType == const_PjMsgType_DELEGATIONREQ || oMsgInfo.nMsgType == const_PjMsgType_RDELEGATION)
{
%>
var sHREF = 'SendMessage.asp?MsgID=<%=nMsgID%>&NoReply'; 
idMessageForm.action = sHREF;
if (!submitGridChanges())
return;
idMessageForm.style.visibility = 'hidden';
idMessageForm.idMessageBodyText.value = escape(idMessageForm.idMessageBodyText.value);
idMessageForm.submit();
nExecASPTimerID = window.setInterval('WaitForCompleteThenGotoInbox( "' + sHREF + '", true , true)', 100);
<%
}
else {
%>
if (PjUpdate.IsMSProjectAvailable)
{
PjUpdate.CodePage=<%=Session.CodePage%>;
PjUpdate.BasePath="<%=ApplicationPhysicalPath(true)%>";
PjUpdate.ServerURL="http://<%=oPJSession.sServerName%>";
PjUpdate.SetResLongs(<%=oPJSession.oUser.nCookieLong0%>,<%=oPJSession.oUser.nCookieLong1%>);
if (!submitGridChanges())
return;
var nReturnValue = (updateDelegation(<%=oMsgInfo.nMsgID%>,<%=oMsgInfo.nMsgType%>) ? 0 : -1);
if (nReturnValue >= 0)
{
<%
if (oMsgInfo.nMsgType == const_PjMsgType_CALENDAR)
{
%>
nReturnValue = PjUpdate.UpdateCalendar(<%=oMsgInfo.nMsgID%>, 3);
<%
}
else  if (oMsgInfo.nMsgType == const_PjMsgType_NEWTASKS)
{
if(oMsgInfo.bUpdated) {
%>
if (WCAlert(unescape("<%=escape(oStrings.GetString( IDS_MSGS_NEWTSK_UPDATED_ALERT ))%>"),<%=(vbYesNo | vbQuestion)%>) == <%=vbYes%>)
nReturnValue = PjUpdate.AcceptNewTasks(<%=oMsgInfo.nMsgID%>,<%=oPJSession.oUser.nUserID%>);
else
return;
<%
} else {
%>
nReturnValue = PjUpdate.AcceptNewTasks(<%=oMsgInfo.nMsgID%>,<%=oPJSession.oUser.nUserID%>);
<%
}
} else {
%>
nReturnValue = PjUpdate.UpdateMSProject(<%=nMsgID%>);
<%
}
%>
}
PostProjUpdate(nReturnValue);
}
<%
}
%>
}
function GridHasTasksRejected()
{
var fHasRejects = false;
for (i = 0; i < MSPJGrid.GetNumRows(0); i++) 
{
cellVal = MSPJGrid.GetCellValue(i,'<%=oStrings.GetString(IDS_MSGS_TA_GRID_COLUMN_ACCEPT_LBL)%>');
if ((typeof(cellVal) != 'undefined') && (!cellVal))
{
fHasRejects = true;
break;
} 
}
return fHasRejects;
}
function ReplyAndUpdateBtn_OnClick()
{
if (!submitGridChanges())
return;
window.location.href="MessageForm.asp?MsgID=<%=nMsgID%>&Reply";
}
function replyMessage()
{
window.location.href = 'MessageForm.asp?MsgID=<%=oMsgInfo.nMsgID%>&Reply';
}
</SCRIPT>
<%
if (!oMsgInfo.bIsReply)
{
%>
<script for=MSPJGrid event="OnDblClickNonEditableCell(x,y,pane);" language="javascript">
replyMessage();
</script>
<script for=MSPJGrid event="OnDblClickEditableCell(x,y,pane);" language="javascript">	
replyMessage();
</script>
<%
}
%>
<script for=MSPJGrid event="OnPersistState();" language="javascript">
setCookie("LeftVisibleColumn",MSPJGrid.GetFirstVisibleColumn(0));
setCookie("PrintMode","yes");
writeCookie();
clearCookie();
</script>
<IFRAME ID="idExecASP" NAME="idExecASP" SCROLLING="YES" NAME="_self" STYLE="display: none; width: 90%; height: 4em;"></IFRAME>
<!--#include file="../Library/sniffer.js" -->
<!-- #include file="../Library/delhist.js" -->
<!--#include file="../Includes/taskgridinit2.inc" -->
<!-- #include file="../Shell/ShellBottom.asp" -->

<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
