--  This script will create the SQL Server tables needed for the    --
--  Microsoft Project Central.    --
--     --
--  It should be executed as --                       
--     the table owner    --
--     in the database to use for the tables   --
--   Privileges needed :                             --  
--     table create for the table owner else run as dbo in behalf of the table owner --  
--     enough room on the disks for the expected data .    --                       
-- 

--  Note that the drop table commands can be  commented out    --
--  as a testing measure.  Change 'reallyDrop ' to 'DROP' and vice versa, if needed. --
--     -- 

CREATE DATABASE Project_CentralDb
go
USE Project_CentralDb
go

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_ADMIN') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_ADMIN
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_ADMIN_LINKS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_ADMIN_LINKS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_ASSIGNMENTS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_ASSIGNMENTS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_CONVERSIONS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_CONVERSIONS 
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_DELEGATION_ASSIGNMENTS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_DELEGATION_ASSIGNMENTS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_DELEGATIONS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_DELEGATIONS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_GANTT_SETTINGS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_GANTT_SETTINGS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_GANTT_STYLES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_GANTT_STYLES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_GANTT_SCHEMES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_GANTT_SCHEMES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_MESSAGES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_MESSAGES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_MESSAGES_ASSIGNMENTS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_MESSAGES_ASSIGNMENTS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_MESSAGES_DELEGATIONS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_MESSAGES_DELEGATIONS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_MESSAGES_NONWORKING') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_MESSAGES_NONWORKING
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_MGR_RULES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_MGR_RULES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_MGR_RULES_LISTS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_MGR_RULES_LISTS              
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_NONWORKING') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_NONWORKING
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_NONWORKING_CATEGORIES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_NONWORKING_CATEGORIES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_PROJECTS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_PROJECTS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_RESERVED_DATA') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_RESERVED_DATA
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_RESOURCES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_RESOURCES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_STATUS_DISTRIBUTION') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_STATUS_DISTRIBUTION
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_STATUS_FREQUENCIES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_STATUS_FREQUENCIES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_STATUS_REPORTS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_STATUS_REPORTS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_STATUS_REQUESTS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_STATUS_REQUESTS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_STATUS_RESPONSES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_STATUS_RESPONSES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_STRING_TYPES') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_STRING_TYPES    
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_WORK') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_WORK
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_WORKGROUP_FIELDS') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_WORKGROUP_FIELDS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_WORKGROUP_FIELDS_INFO') 
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_WORKGROUP_FIELDS_INFO
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_PROJECT_WORKGROUP_INFO')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_PROJECT_WORKGROUP_INFO
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_RESOURCES_CATEGORIES')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_RESOURCES_CATEGORIES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_CATEGORIES')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_CATEGORIES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_DSNS')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_DSNS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_FIELDS')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_FIELDS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_PROJECTCATEGORIES')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_PROJECTCATEGORIES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_REPORTS')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_REPORTS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_REPORTCATEGORIES')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_REPORTCATEGORIES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_REPORTS_FIELDS')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_REPORTS_FIELDS
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_RESOURCES')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_RESOURCES
GO

if exists (select * from sysobjects where id = object_id(N'MSP_WEB_VIEW_TABLES')
and OBJECTPROPERTY(id, N'IsUserTable') = 1)
Drop  table MSP_WEB_VIEW_TABLES
GO



CREATE TABLE MSP_WEB_ADMIN (
	WADMIN_AUTHENTICATION_TYPE int NOT NULL default 3,
	WADMIN_NEW_ACCOUNT_PRIVILEGE int NOT NULL default 3,
	WADMIN_IS_DELEGATION_ALLOWED   bit NOT NULL default 1,
	WADMIN_WEEK_STARTS_ON int NOT NULL default 1,
	WADMIN_MIN_PASSWORD_LENGTH int NOT NULL default 8 )
	
go



CREATE TABLE MSP_WEB_ADMIN_LINKS (
	WLINKS_ID int IDENTITY (100, 1) NOT NULL ,
	WLINKS_HREF nvarchar(500) NOT NULL ,
	WLINKS_TITLE nvarchar(255)   NULL ,
	WLINKS_NAME nvarchar(255)  NULL ,
	WLINKS_HEIGHT nvarchar(255)  NULL ,
	WLINKS_TYPE int  NOT NULL default 0)
go



CREATE TABLE MSP_WEB_ASSIGNMENTS (
	WASSN_ID int IDENTITY (100, 1) NOT NULL ,
	WRES_ID int NULL ,
	WASSN_PARENT_ID int NULL ,
	WPROJ_ID int NULL ,
	WRES_ID_MGR int NULL ,
	ASSN_UID int NULL ,
	TASK_UID int NULL ,
	TASK_ID int NULL ,
	TASK_UID_SUMMARY int NULL ,
	TASK_NAME nvarchar (255) NULL ,
	ASSN_START_DATE datetime NULL,
	ASSN_FINISH_DATE datetime NULL  ,
	ASSN_WORK decimal (25,6) NULL default 0,
	ASSN_REM_WORK decimal (25,6) NULL default 0,
	WASSN_LAST_WORK decimal (25,6) NULL default 0,
	WASSN_COMMENTS nvarchar (255) NULL ,
	TASK_IS_MILESTONE bit NOT NULL default 0 ,
	TASK_IS_SUMMARY bit NOT NULL default 0 ,
	WASSN_IS_CONFIRMED bit NOT NULL default 0 ,
	WASSN_MGR_UPDATED bit NOT NULL default 0 ,
	WASSN_CREATED_BY_RES int NOT NULL default 0 ,
	WASSN_REMOVED_BY_RESOURCE int NOT NULL default 0 ,
	WASSN_CURRENT_TRACKING_MODE int NULL default 0 ,
	WASSN_UPDATE_TRACKING_MODE int NULL default 0 ,
	WASSN_SEND_UPDATE_NEEDED bit NOT NULL  default 0,
	WASSN_DELETED_IN_PROJ bit NOT NULL  default 0,
	WASSN_RESOURCE_UPDATE bit NOT NULL  default 0,
	WASSN_REQUEST_UPDATE bit NOT NULL  default 0,
	WASSN_UPDATES_ACCEPTED bit NOT NULL  default 0,
	WASSN_DELEG_ACCEPTED bit NOT NULL  default 0,
	WASSN_DELEG_APPROVED bit NOT NULL  default 0,
	WASSN_ACTUALS_PENDING bit NOT NULL  default 0,
	WASSN_DELEG_PENDING bit NOT NULL  default 0,
	WASSN_IS_DELEGATED bit NOT NULL  default 0,
	WASSN_IS_NEW_ASSN bit NOT NULL  default 0,
	WASSN_LAST_DELEG_ID int NULL  ,
	WASSN_PCT_COMP int NULL  ,
	WRES_ID_TEAM_LEAD int NULL  ,
	WNWRK_ID int NULL  ,
	WNWRK_ENTRY_ID nvarchar (300) NULL  ,
	RESERVED_DATA1 int NULL ,
	RESERVED_DATA2 int NULL ,
	RESERVED_DATA3 int NULL 
)
GO



CREATE TABLE MSP_WEB_CONVERSIONS (
        STRING_TYPE_ID int NOT NULL ,
        CONV_VALUE int NOT NULL ,
        LANG_ID int NULL ,
        CONV_STRING nvarchar (200) NULL
) 
GO



CREATE TABLE MSP_WEB_DELEGATION_ASSIGNMENTS (
	WDELEG_ID int NOT NULL ,
	WASSN_ID int NOT NULL ,
	WDELEG_APPROVE bit NOT NULL default 1,
	WDELEG_ACCEPT bit NOT NULL default 1,
	WDELEG_KEEP_COPY bit NOT NULL default 0
) 
GO



CREATE TABLE MSP_WEB_DELEGATIONS (
	WDELEG_ID int IDENTITY (100, 1) NOT NULL ,
	WRES_ID_DELEGATOR int NULL ,
	WRES_ID_DELEGATEE int NULL ,
	WDELEG_KEEP_COPY bit NOT NULL default 0 ,
	WDELEG_DATE datetime NULL  ,
	WDELEG_REJECT bit NOT NULL default 0
) 
GO




CREATE TABLE MSP_WEB_GANTT_SCHEMES (
	WGANTT_SCHEME_ID int NOT NULL, 
	WGANTT_SCHEME_TYPE int NULL default 0, 
	WGANTT_SCHEME_NAME  nvarchar(50) NULL)
go
  

CREATE TABLE MSP_WEB_GANTT_SETTINGS (
	WGANTT_SCHEME_ID int NOT NULL, 
	WGANTT_STYLE_ID int NULL, 
	WGANTT_SHOW bit NOT NULL  default 0, 
	WGANTT_BAR_TYPE int NULL, 
	WGANTT_BAR_PATTERN int NULL, 
	WGANTT_BAR_COLOR int NULL, 
	WGANTT_START_SHAPE int NULL,
	WGANTT_START_COLOR int NULL,
	WGANTT_END_SHAPE int NULL, 
	WGANTT_END_COLOR int NULL )
go
  

CREATE TABLE MSP_WEB_GANTT_STYLES (
	WGANTT_STYLE_ID int NOT NULL, 
	WGANTT_STYLE_CONV_VALUE int NULL ) 

go
  


CREATE TABLE MSP_WEB_MESSAGES (
	WMSG_ID int IDENTITY (100, 1) NOT NULL ,
	WMSG_PROJ_TYPE int NULL ,
	WRES_ID_SENDER int NULL ,
	WRES_ID_RECEIVER int NULL ,
	WMSG_SUBJECT nvarchar (255) NULL ,
	WMSG_BODY nvarchar (3000) NULL ,
	WMSG_TIME datetime NULL ,
	WPROJ_ID int NULL ,
	WMSG_ACTUAL_TYPE int NULL ,
	WMSG_PERIOD_START datetime NULL ,
	WMSG_PERIOD_FINISH datetime NULL ,
	WMSG_PERIOD_BROKEN_BY int NULL default -1 ,
	WMSG_PERIOD_WEEK_STARTS_ON int NULL default -1,
	WMSG_WAS_READ bit NOT NULL default 0,
	WMSG_PROCESS_ST int NOT NULL default 0 ,
	WMSG_RES_CAN_DECLINE bit NOT NULL default 1 

)
GO



CREATE TABLE MSP_WEB_NONWORKING (
	WNONWORK_ID int IDENTITY (100,1) NOT NULL ,
	WNONWORK_SUBJECT nvarchar (255) NULL , 
	WNONWORK_START datetime  NULL , 
	WNONWORK_END datetime  NULL , 
	WNONWORK_IS_ALL_DAY bit NOT NULL default 1  ,
	WNONWORK_IS_WORKING bit NOT NULL default 0
)
GO



CREATE TABLE MSP_WEB_MESSAGES_ASSIGNMENTS (
	WMSG_ID int NOT NULL ,
	WASSN_ID int NOT NULL ,
	WASSN_IS_PROCESSED bit NOT NULL default 0
)
GO



CREATE TABLE MSP_WEB_MESSAGES_DELEGATIONS (
	WMSG_ID int NOT NULL ,
	WDELEG_ID int NOT NULL 
) 
GO


CREATE TABLE MSP_WEB_NONWORKING_CATEGORIES(
	WNWRK_ID int  IDENTITY (100,1) NOT NULL ,
	WNWRK_NAME  nvarchar  (255) NOT NULL,
	WNWRK_CODE nvarchar (255) null ,
	WNWRK_ORDER int NOT NULL 
) 
GO



CREATE TABLE MSP_WEB_MESSAGES_NONWORKING(
	WMSG_ID int NOT NULL ,
	WNONWORK_ID  int  NOT  NULL 
) 
GO



CREATE TABLE MSP_WEB_PROJECTS (
	WPROJ_ID int IDENTITY (100, 1) NOT NULL ,
	PROJ_NAME nvarchar (255) NULL ,
	PROJ_TIMESTAMP nvarchar (32) NULL ,
	WLOCAL_PATH nvarchar (255) NULL ,
	WPATH nvarchar (255) NULL ,
	WRES_ID int NULL ,
	WDSN_ID int NULL ,
	WPROJ_DELEG_ALLOWED bit NOT NULL default 0,
	WPROJ_IS_NONWORKING bit NOT NULL default 0,
	OPT_DEF_START_TIME datetime,
	OPT_DEF_FINISH_TIME datetime
) 
GO



CREATE TABLE MSP_WEB_PROJECT_WORKGROUP_INFO (
        WPROJ_ID int NOT NULL ,
        CUSTFIELD_INFO_ID int NOT NULL
) 
GO


CREATE TABLE MSP_WEB_RESERVED_DATA (
	RESERVED_DATA1 int NULL ,
	RESERVED_DATA2 int NULL , 
	RESERVED_DATA3 int NOT NULL default 2,  
	RESERVED_DATA4 int  NULL default -1  
) 
GO



CREATE TABLE MSP_WEB_RESOURCES (
	WRES_ID int IDENTITY (100, 1) NOT NULL ,
	RES_NAME nvarchar (255) NOT NULL ,
	WRES_USE_NT_LOGON bit NOT NULL default 0,
	WRES_EMAIL nvarchar (255) NULL ,
	WRES_LAST_UPDATE_TIME datetime NULL  ,
	WRES_LAST_CHECKED_TIME datetime NULL  ,
	WRES_IS_OFFLINE bit NOT NULL default 0,
	WRES_LAST_CONNECT datetime NULL ,
	WRES_IS_MANAGER bit NOT NULL default 0,
	WRES_IS_ADMIN bit NOT NULL default 0,
	WRES_IS_ENABLED bit NOT NULL default 1, 
	WRES_DEL_TASKUPDATE_MSG bit NOT NULL default 0, 
	WRES_DEL_DELEG_MSG bit NOT NULL default 0, 
	WRES_DEL_NEWTASK_MSG bit NOT NULL default 0, 
	WRES_DEL_REASSN_MSG bit NOT NULL default 0, 
	WRES_INCL_TEAMLEAD_RESOURCES bit NOT NULL default 0, 
	WRES_INCL_TEAMASSIGN_RESOURCES bit NOT NULL default 0, 
	RES_PHONETICS nvarchar (255)  NULL, 
	RESERVED_DATA1 int NOT NULL ,
	RESERVED_DATA2 int NOT NULL ,
	RESERVED_DATA3 int NOT NULL ,
	RESERVED_DATA4 int NOT NULL 
)
GO



 CREATE TABLE MSP_WEB_RESOURCES_CATEGORIES (
         WRES_ID int NOT NULL ,
         WCAT_ID int NOT NULL
 ) 
 GO



CREATE TABLE MSP_WEB_STATUS_DISTRIBUTION (
	WRES_ID_DISTR_RECIP int NOT NULL ,
	WRESP_ID int NOT NULL 
) 
GO



CREATE TABLE MSP_WEB_STATUS_FREQUENCIES (
	WSR_ID int NOT NULL ,
	WREPORT_START_DATE datetime  ,
	WFREQ int NOT NULL ,
	WFREQPAR1 int NULL ,
	WFREQPAR2 int NULL ,
	WFREQPAR3 int NULL ,
	WFREQPAR4 int NULL ,
	WFREQPAR5 int NULL ,
	WFREQPAR6 int NULL ,
	WFREQPAR_DATE datetime NULL 
) 
GO



CREATE TABLE MSP_WEB_STATUS_REPORTS (
	WSR_ID int IDENTITY (100, 1) NOT NULL ,
	WRES_ID_MGR int NOT NULL ,
	WREPORT_NAME nvarchar (255) NULL ,
	WREPORT_UNREQUESTED bit NOT NULL default 0, 
	WREPORT_IS_ENABLED bit NOT NULL default 1, 
	WREPORT_FORMAT ntext       
) 
GO



CREATE TABLE MSP_WEB_STATUS_REQUESTS (
WRES_ID_RECEIVER int NOT NULL ,
	WSR_ID int NOT NULL ,
	WDUE_ON datetime NULL ,
	WREQ_IS_AUTOMERGE bit NOT NULL default 0 ,
	WREQ_IS_NEW_REQUEST bit NOT NULL  default 0,
	WREQ_IS_SENT bit NOT NULL  default 0,
	WREQ_IS_ENABLED bit NOT NULL default 0 
) 
GO



CREATE TABLE MSP_WEB_STATUS_RESPONSES (
	WRESP_ID int IDENTITY (100, 1) NOT NULL ,
	WRES_ID int NULL ,
	WSR_ID int NULL ,
	WSRESP_PERIOD_START datetime NULL  ,
	WSRESP_PERIOD_FINISH datetime NULL ,
	WSUBMIT_STATUS int NULL ,
	WSUBMIT_DATE datetime NULL ,
	WUPDATE_STATUS int NULL ,
	WNUM_SECTIONS int NULL ,
	WRESP_IS_MATCHING bit NOT NULL default 0,
	WRESP_IS_NEW_RESPONSE bit NOT NULL default 0,
	WRESP_IS_MERGED bit NOT NULL default 0,
	WRESP_TEXT ntext NULL  
)  
GO



CREATE TABLE MSP_WEB_STRING_TYPES (
        STRING_TYPE_ID int NOT NULL ,
        STRING_LANG_ID int NOT NULL ,
        STRING_TYPE nvarchar (200) NULL
) 
GO





CREATE TABLE MSP_WEB_VIEW_CATEGORIES (
        WCAT_ID int IDENTITY (100, 1) NOT NULL ,
        WCAT_NAME nvarchar (255) NULL ,
        WCAT_DESCRIPTION nvarchar (255) NULL ,
        WCAT_INCL_ALL_PROJECTS bit NOT NULL  default 0,
        WCAT_INCL_TEAMASSIGN_PROJECTS bit NOT NULL default 0
) 
GO



CREATE TABLE MSP_WEB_VIEW_DSNS (
        WDSN_ID int IDENTITY (100, 1) NOT NULL ,
        WDSN_NAME nvarchar (255) NOT NULL ,
        WDSN_DESCRIPTION nvarchar (255) NULL ,
        WDSN_LOGIN_ID nvarchar (255) NULL ,
        WDSN_PASSWORD nvarchar (255) NULL
) 
GO



CREATE TABLE MSP_WEB_VIEW_FIELDS (
        WFIELD_ID int NOT NULL ,
        WFIELD_NAME_OLEDB nvarchar (255) NULL ,
        WFIELD_NAME_SQL nvarchar (255) NULL ,
        WFIELD_NAME_CONV_VALUE int  NULL ,
        WFIELD_TEXTCONV_TYPE int NULL ,
        WTABLE_ID int NULL ,
        WFIELD_IN_PROJECT_VIEW bit NOT NULL default 0  ,
        WFIELD_IN_PORTFOLIO_VIEW bit NOT NULL default 0  ,
        WFIELD_IN_WEBCLIENT_VIEW bit NOT NULL  default 0 ,
        WFIELD_IS_CUSTOM_FIELD bit NOT NULL default 0 ,
        WFIELD_IS_GANTT_DEFAULT bit NOT NULL default 0 ,
) 
GO



CREATE TABLE MSP_WEB_VIEW_PROJECTCATEGORIES (
         WPROJ_ID int NOT NULL ,
         WCAT_ID int NOT NULL
 ) 
 GO



 CREATE TABLE MSP_WEB_VIEW_REPORTS (
         WVIEW_ID int IDENTITY (100, 1) NOT NULL ,
         WVIEW_NAME nvarchar (255) NOT NULL ,
         WVIEW_DESCRIPTION nvarchar (255) NULL ,
         WVIEW_TYPE int NULL ,
         WVIEW_DISPLAY_TYPE int NULL ,
         WVIEW_WORK_TYPE int NULL ,
         WGANTT_SCHEME_ID int NULL ,
         WTABLE_ID int NULL ,
         WVIEW_FILTER_PARAM1 nvarchar (255) NULL ,
         WVIEW_FILTER_PARAM2 nvarchar (255) NULL ,
         WVIEW_FILTER_PARAM3 nvarchar (255) NULL ,
         WVIEW_REPORT_KIND int NOT NULL default 0 ,
         WVIEW_PATH nvarchar (255) NULL
 ) 
 GO



 CREATE TABLE MSP_WEB_VIEW_REPORTCATEGORIES (
         WVIEW_ID int NOT NULL ,
         WCAT_ID int NOT NULL
 ) 
 GO


 CREATE TABLE MSP_WEB_VIEW_REPORTS_FIELDS (
         WVIEW_ID int NOT NULL ,
         WFIELD_ID int NOT NULL ,
         WVIEW_FIELD_ORDER int NULL
) 
GO


CREATE TABLE MSP_WEB_VIEW_RESOURCES (
        WRES_ID_MGR int NOT NULL ,
        WRES_ID_RESOURCE int NOT NULL
) 
GO


CREATE TABLE MSP_WEB_VIEW_TABLES (
        WTABLE_ID int NOT NULL ,
        WTABLE_NAME nvarchar (255) NOT NULL
) 
GO


CREATE TABLE MSP_WEB_WORK (
	WRES_ID int NOT NULL ,
	WASSN_ID int NOT NULL ,
	WWORK_START datetime NULL ,
	WWORK_FINISH datetime  NULL ,
	WWORK_TYPE int NOT NULL ,
	WWORK_VALUE decimal ( 25,6)  NULL ,
	WWORK_IS_SENT bit NOT NULL default 0 ,
	WWORK_IS_SAVED bit NOT NULL default 0 ,
	RESERVED_DATA1 int NULL default 0
)
GO


CREATE TABLE MSP_WEB_WORKGROUP_FIELDS (
	WASSN_ID int NOT NULL ,
	FIELD_ID int NOT NULL ,
	CUSTFIELD_TYPE int NULL ,
	INT_VAL int NULL ,
	DATE_VAL datetime NULL ,
	DECIMAL_VAL decimal (25,6) NULL ,
	VARCHAR_VAL nvarchar (255) NULL,
	INDICATOR_VAL int NULL , 
	DURATION_UNIT int NULL  ,
	WWORKGRP_INFO_IS_READONLY bit NOT NULL default 0 
) 
GO


CREATE TABLE MSP_WEB_MGR_RULES (                         
	WRULE_ID int IDENTITY (100, 1) NOT NULL ,
	WRULE_NAME nvarchar (255)  NULL ,
	WRES_ID_MGR int NULL ,
	WRULE_IS_ENABLED bit NOT NULL default 1 ,
	WRULE_TYPE int NULL  default (-1),
	WRULE_CONDITION_TYPE int NULL default 0 ,
	WRULE_FIELD1_ID int NULL ,
	WRULE_FIELD2_ID int NULL ,
	WRULE_OPERATOR int NULL ,
	WRULE_VALTYPE int NULL ,
	WRULE_INT_VAL int NULL ,
	WRULE_DATE_VAL datetime NULL ,
	WRULE_DECIMAL_VAL decimal (25,6)  NULL ,
	WRULE_VARCHAR_VAL nvarchar (255) NULL ,
	WRULE_DURATION_UNIT int NULL ,
	WRULE_IS_EXCL_PROJID bit NULL  default 0,
	WRULE_IS_EXCL_RES1ID bit NULL default 0,
	WRULE_IS_EXCL_RES2ID bit NULL  default 0,
	WRULE_DESCRIPTION nvarchar (255)  

)
GO



CREATE TABLE MSP_WEB_MGR_RULES_LISTS   (
	WRULE_ID int  NOT NULL ,
	ITEM_TYPE int NOT NULL ,
	ITEM_ID int  NOT NULL ,
)
GO



CREATE TABLE MSP_WEB_WORKGROUP_FIELDS_INFO (
	CUSTFIELD_INFO_ID int IDENTITY (100, 1) NOT NULL ,
	FIELD_ID int NULL ,
	CUSTFIELD_NAME nvarchar (255) NULL ,
	PICKLIST_INFO nvarchar (1000) NULL  
)
GO


--  now for the clustered indexes     --
  
  
  
 CREATE  UNIQUE  CLUSTERED  INDEX I_MESSAGES_MSGID_WMSGRECIPRESID 
ON MSP_WEB_MESSAGES(WMSG_ID, WRES_ID_RECEIVER) WITH  FILLFACTOR = 40 
GO

  
  
 CREATE  UNIQUE  CLUSTERED  INDEX I_RESOURCES_WRESNAME 
ON MSP_WEB_RESOURCES(RES_NAME) 
WITH  FILLFACTOR = 40 
GO

  
 CREATE  CLUSTERED  INDEX I_ACTUALS_WRESID_WASSNID 
ON MSP_WEB_WORK(WRES_ID, WASSN_ID) WITH  FILLFACTOR = 40 
GO

  
 CREATE  CLUSTERED  INDEX I_CFINFO_FIELDID 
ON MSP_WEB_WORKGROUP_FIELDS_INFO (FIELD_ID) WITH  FILLFACTOR = 40 
GO


--  now for the rest of the indexes     --
--                                      --
   
  
 CREATE INDEX I_ASSIGN_PROJSRCID_ASSNPROJUID_WRESID ON 
MSP_WEB_ASSIGNMENTS(WPROJ_ID, ASSN_UID, WRES_ID) 
WITH  FILLFACTOR = 40 
GO


CREATE unique index PK_MSP_WEB_ASSIGNMENTS on MSP_WEB_ASSIGNMENTS
(WASSN_ID)
go


CREATE  UNIQUE  INDEX PK_MSP_CONVERSIONS 
ON MSP_WEB_CONVERSIONS(STRING_TYPE_ID, CONV_VALUE, LANG_ID) 
GO


CREATE unique index PK_MSP_WEB_DELEGATION_ASSIGNMENTS
on MSP_WEB_DELEGATION_ASSIGNMENTS
(WDELEG_ID, WASSN_ID) 
GO


CREATE UNIQUE INDEX PK_MSP_WEB_DELEGATIONS 
on MSP_WEB_DELEGATIONS 
	( WDELEG_ID )   
GO


CREATE UNIQUE INDEX PK_MSP_WEB_GANTT_SCHEMES 
on MSP_WEB_GANTT_SCHEMES (WGANTT_SCHEME_ID)  
	    
GO


CREATE  UNIQUE  INDEX PK_MSP_STRING_TYPES 
ON MSP_WEB_STRING_TYPES 
(STRING_TYPE_ID,  STRING_LANG_ID) 
GO


CREATE UNIQUE  INDEX _MSP_WEB_GANTT_SETTINGS 
on MSP_WEB_GANTT_SETTINGS 
(WGANTT_SCHEME_ID, WGANTT_STYLE_ID)  
	    
GO


CREATE UNIQUE INDEX PK_MSP_WEB_GANTT_STYLES 
on MSP_WEB_GANTT_STYLES (WGANTT_STYLE_ID)  
	    
GO


CREATE unique clustered index PK_WEB_MESSAGE_ASSIGNMENTS on
MSP_WEB_MESSAGES_ASSIGNMENTS  
	( WMSG_ID, WASSN_ID )    
GO


CREATE unique index PK_MSP_WEB_MESSAGES_DELEGATIONS
on MSP_WEB_MESSAGES_DELEGATIONS  
	( WMSG_ID, WDELEG_ID )   
GO


CREATE unique index PK_MSP_WEB_NONWORK_CATEGORIES
on MSP_WEB_NONWORKING_CATEGORIES 
	( WNWRK_ID, WNWRK_NAME )   
GO


CREATE unique index PK_WEB_PROJECTS 
on  MSP_WEB_PROJECTS 
	( WPROJ_ID )   
GO

CREATE unique index WEB_PROJECTS_ID 
on  MSP_WEB_PROJECTS 
	( PROJ_TIMESTAMP, PROJ_NAME, WRES_ID )   
GO

CREATE unique index PK_WEB_MGR_RULES
on MSP_WEB_MGR_RULES  
	( WRULE_ID )   
GO


CREATE unique index PK_WEB_MGR_RULES_LISTS
on  MSP_WEB_MGR_RULES_LISTS 
	( WRULE_ID, ITEM_TYPE, ITEM_ID )   
GO


CREATE unique index PK_MSP_WEB_RESOURCES on
MSP_WEB_RESOURCES (WRES_ID)
go



CREATE unique index PK_WEB_STATUS_DISTRIBUTION on 
MSP_WEB_STATUS_DISTRIBUTION  
	( WRES_ID_DISTR_RECIP, WRESP_ID )   
GO


CREATE unique index PK_WEB_STATUS_FREQUENCIES 
on MSP_WEB_STATUS_FREQUENCIES 
	( WSR_ID, WREPORT_START_DATE )   
GO


CREATE unique index PK_WEB_STATUS_REPORTS
on MSP_WEB_STATUS_REPORTS (WSR_ID)
GO


CREATE unique index PK_WEB_STATUS_REQUESTS
on MSP_WEB_STATUS_REQUESTS  
	( WRES_ID_RECEIVER, WSR_ID )   
GO


CREATE unique index PK_WEB_STATUS_RESPONSES on
MSP_WEB_STATUS_RESPONSES 
	( WRESP_ID )   
GO


CREATE unique index PK_WEB_ADMIN_LINKS  on     
MSP_WEB_ADMIN_LINKS           
	( WLINKS_ID )   
GO


CREATE UNIQUE index PK_WEB_WORK on                                                           
MSP_WEB_WORK 
	( WASSN_ID,
		WWORK_START,
		WWORK_FINISH,
		WWORK_TYPE )  
GO


CREATE unique index PK_WEB_WORKGROUP_FIELDS on 
MSP_WEB_WORKGROUP_FIELDS 
	( WASSN_ID, FIELD_ID )   
GO


CREATE UNIQUE INDEX PK_WEB_CUSTOMFIELDS_INFO 
on   MSP_WEB_WORKGROUP_FIELDS_INFO
	( CUSTFIELD_INFO_ID )    
GO


CREATE UNIQUE INDEX PK_WEB_PROJECT_WRKGRP_INFO
on   MSP_WEB_PROJECT_WORKGROUP_INFO
	(WPROJ_ID, CUSTFIELD_INFO_ID )    
GO


CREATE UNIQUE INDEX PK_WEB_RESOURCES_CATEGORIES
on   MSP_WEB_RESOURCES_CATEGORIES
	(WRES_ID, WCAT_ID   )    
GO


CREATE UNIQUE INDEX PK_WEB_VIEW_CATEGORIES
on   MSP_WEB_VIEW_CATEGORIES
	( WCAT_ID   )    
GO


CREATE UNIQUE INDEX PK_WEB_VIEW_DSNS
on   MSP_WEB_VIEW_DSNS
	(WDSN_ID                )    
GO


CREATE UNIQUE INDEX PK_WEB_VIEW_FIELDS
on   MSP_WEB_VIEW_FIELDS
	(WFIELD_ID                )    
GO


CREATE UNIQUE INDEX PK_VIEW_PROJECT_CATEGRS
on   MSP_WEB_VIEW_PROJECTCATEGORIES
	(WPROJ_ID, WCAT_ID                )    
GO


CREATE UNIQUE INDEX PK_VIEW_REPORTS
on   MSP_WEB_VIEW_REPORTS
	(WVIEW_ID                )    
GO


CREATE UNIQUE INDEX PK_VIEW_REPORTS_CATEGRS
on   MSP_WEB_VIEW_REPORTCATEGORIES
	(WVIEW_ID,WCAT_ID        )    
GO


CREATE UNIQUE INDEX PK_VIEW_REPORTS_FIELDS
on   MSP_WEB_VIEW_REPORTS_FIELDS
	(WVIEW_ID,WFIELD_ID        )    
GO


CREATE UNIQUE INDEX PK_VIEW_RESOURCES
on   MSP_WEB_VIEW_RESOURCES
	(WRES_ID_MGR, WRES_ID_RESOURCE )    
GO


CREATE UNIQUE INDEX PK_VIEW_TABLES
on   MSP_WEB_VIEW_TABLES
	(WTABLE_ID )    
GO


 CREATE  INDEX I_ASSIGN_PARENTTASKPROJUID ON 
MSP_WEB_ASSIGNMENTS(TASK_UID_SUMMARY) 
GO


 CREATE  INDEX I_ASSIGN_TASKPROJUID ON 
MSP_WEB_ASSIGNMENTS(TASK_UID) 
GO


 CREATE  INDEX I_ASSIGN_RESID ON 
MSP_WEB_ASSIGNMENTS(WRES_ID) 
GO



 CREATE  INDEX I_ASSIGN_MGRRESID ON 
MSP_WEB_ASSIGNMENTS(WRES_ID_MGR) 
GO


 CREATE  UNIQUE  INDEX I_WEB_DELEGATIONS ON 
MSP_WEB_DELEGATIONS(WDELEG_ID) 
GO


 CREATE  UNIQUE  INDEX PK_MSP_WEB_MESSAGES 
ON MSP_WEB_MESSAGES(WMSG_ID) 
GO


 CREATE  UNIQUE  INDEX PK_MSP_WEB_MSGS_NONWORKING 
ON MSP_WEB_MESSAGES_NONWORKING
(WMSG_ID, WNONWORK_ID) 
GO


 CREATE  UNIQUE  INDEX PK_MSP_WEB_NONWORKING 
ON MSP_WEB_NONWORKING(WNONWORK_ID) 
GO


 CREATE  INDEX I_MESSAGES_PROJSRCID 
ON MSP_WEB_MESSAGES(WPROJ_ID)  
GO


 CREATE  INDEX I_MESSAGES_SENDERID ON 
MSP_WEB_MESSAGES(WRES_ID_SENDER)  
GO


 CREATE  INDEX I_MESSAGES_WMSGRECIPIENTID 
ON MSP_WEB_MESSAGES(WRES_ID_RECEIVER)  
GO



 CREATE  INDEX I_FILES_OWNERRESID 
ON MSP_WEB_PROJECTS(WRES_ID) 
GO


 CREATE  INDEX I_ACTUALS_WASSNID ON 
MSP_WEB_WORK(WASSN_ID) 
WITH  FILLFACTOR = 40 
GO

--   end of script   --

