<%
if (typeof(oLocalizedStrings) != 'undefined')
{
%>
<OBJECT ID="ProjLang"
CLASSID="clsid:<%=oLocalizedStrings.sLCID_CLSID%>"
CODEBASE="<%=oLocalizedStrings.sLanguageDLLCodebase%>"
TYPE="application/x-oleobject"
STYLE="display: none">
</OBJECT>
<OBJECT ID="TextConv"
CLASSID="clsid:484A7A26-FDB0-11D0-8D2B-00C04FB92E89"
CODEBASE="<%=oLocalizedStrings.sTextConvDLLCodebase%>"
TYPE="application/x-oleobject"
STYLE="display: none">
</OBJECT>
<%
}
%>
<SCRIPT LANGUAGE=VBScript>
function IsLicensed( sLCID )
dim retval
on error resume next
IsLicensed = -1
retval = TextConv.ScriptInitialize( sLCID )
if (Err.Number = 0) then
IsLicensed = retval
end if
end function
</SCRIPT>
<SCRIPT LANGUAGE=JScript>
function LocalizedStrings()
{
<%
if (typeof(oLocalizedStrings) != 'undefined')
{
%>
this.oResMgr = ProjLang;
<%
}
else
{
%>
this.oResMgr = null;
<%
}
%>
this.sLCID = '<%=typeof(oLocalizedStrings) != 'undefined' ? oLocalizedStrings.sLCID : asp_lcid%>';
this.GetString          = LocalizedStrings_GetString;
this.ConvVar            = LocalizedStrings_ConvVar;
this.SetDateType        = LocalizedStrings_SetDateType;
this.LoadStringTable    = LocalizedStrings_LoadStringTable;
this.ReleaseStringTable = LocalizedStrings_ReleaseStringTable;
this.SearchAndReplace   = PJStrings_SearchAndReplace;
this.oTextConv = TextConv;
var licensed = IsLicensed(this.sLCID);
if ( licensed == <%=const_nPJWEB_E_CLASSNOTLICENSED%> )
{
window.location.href = '../Logon/noagree.asp';
}
else if ( licensed == <%=const_nPJWEB_E_EXPIRED%> )
{
window.location.href = '../Logon/expired.asp';
}
else
{
TextConv.InitLocaleInfo(-1);
TextConv.SetDateType(1);
this.sListSep = TextConv.ListSep;
}
}
function LocalizedStrings_GetString( StrTblID, StringID )
{
return this.oTextConv.GetString( StrTblID, StringID, this.sLCID );
}
function LocalizedStrings_ConvVar( type, variable )
{
var format;
TextConv.ConvVar( type, variable, format );
}
function LocalizedStrings_SetDateType( nDateType )
{
return TextConv.SetDateType( nDateType );
}
function LocalizedStrings_LoadStringTable( nStringTableID, bIsFakeStringTable )
{
if ((typeof(bIsFakeStringTable) != 'undefined') && (bIsFakeStringTable))
{
this.aStringTables[nStringTableID] = new PJStrings( this, nStringTableID, null );
return this.aStringTables[nStringTableID];
}
if ((typeof(nStringTableID) != 'undefined') && (nStringTableID != null))
{
if ((typeof(this.aStringTables[nStringTableID]) != 'undefined') && 
(this.aStringTables[nStringTableID] != null))
{
this.aStringTables[nStringTableID].nReferenceCount++;
return this.aStringTables[nStringTableID];
}  
this.aStringTables[nStringTableID] = new PJStrings( this, nStringTableID, this.oResMgr.StringTables( nStringTableID, this.sLCID ) );
return this.aStringTables[nStringTableID];
}
return null;
}
function LocalizedStrings_ReleaseStringTable( nStringTableID )
{
if ((typeof(this.aStringTables[nStringTableID]) != 'undefined') && 
(this.aStringTables[nStringTableID] != null))
{
this.aStringTables[nStringTableID].nReferenceCount--;
if (this.aStringTables[nStringTableID].nReferenceCount == 0)
{
this.aStringTables[nStringTableID].oStringTable = null; 
this.aStringTables[nStringTableID] = null;
delete this.aStringTables[nStringTableID];
this.length--;
}  
}
}
function PJStrings( oLocalizedStrings, nStringTableID, oStringTable )
{
var oThis = new Array;
oThis.nReferenceCount     = 1;
oThis.nStringTableID      = nStringTableID;
oThis.oStringTable        = oStringTable;
oThis.sLCID               = oLocalizedStrings.sLCID;
oThis.GetString        = PJStrings_GetString;
oThis.AddString        = PJStrings_AddString;
oThis.SearchAndReplace = PJStrings_SearchAndReplace;
return oThis;
}
function PJStrings_GetString( nStringID ) 
{
var sString = this[String(this.nStringTableID) + '-' + String(nStringID)];
if ((typeof(sString) == 'undefined') && (this.oStringTable != null))
{
alert(this.oStringTable.sLCID);
sString = this.oStringTable.Strings( nStringID, this.sLCID );
}
if (arguments.length > 1)
{
var oRegExp;
for(var i=arguments.length-1;i > 0;i--)
{
oRegExp = new RegExp('\\^' + i);
sString = sString.replace( oRegExp, arguments[i] );
}  
}
return sString;
}
function PJStrings_AddString( nStringID, sLocalizedString )
{
this[String(this.nStringTableID) + '-' + String(nStringID)] = sLocalizedString;
this.length++;
}
function PJStrings_SearchAndReplace( sString ) 
{
if (arguments.length > 1)
{
var oRegExp;
for(var i=arguments.length-1;i > 0;i--)
{
oRegExp = new RegExp('\\^' + i);
sString = sString.replace( oRegExp, arguments[i] );
}  
}
return sString;
}
var oLocalizedStrings = new LocalizedStrings;
</SCRIPT>

<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
