<SCRIPT LANGUAGE="JScript">
function ProjDate2JDate( pjdate )
{
if (typeof(pjdate) != 'number' || pjdate == -1)
return null;
var theDate = new Date(0);
if (typeof(pjdate) != 'number')
return theDate;  
var baseDate     = new Date(0);
var firstPrjDate = new Date('1/1/1984 00:00:00');
var lastPrjDate  = new Date('1/1/2050 00:00:00');
var firstPrjDay  = Math.round(firstPrjDate.getTime()/8.64e7) - Math.round(baseDate.getTime()/8.64e7) + 1;
var lastPrjDay   = Math.round(lastPrjDate.getTime() /8.64e7) - Math.round(baseDate.getTime()/8.64e7);
var prjDays = (pjdate >> 16) + firstPrjDay - 1;
theDate.setMilliseconds(prjDays * 8.64e7);
var seconds = (pjdate & (0x0000FFFF)) * 6;
theDate.setHours( Math.floor(seconds / 3600) );
seconds -= (Math.floor(seconds/3600) * 3600);
theDate.setMinutes( Math.floor(seconds / 60) );
seconds -= (Math.floor(seconds/60) * 60);
theDate.setSeconds( seconds );
return theDate;
}
function JDate2ODBCDateTime(jDate)
{
return jDate.getVarDate();
}
function JDate2ODBCDate(jDate)
{
var dt = jDate;
dt.setHours(0,0,0,0);
return dt.getVarDate();
}
function ProjDate2ODBCDateTime(pjdate)
{
if (typeof(pjdate) != 'number' || pjdate == -1)
return null;
var jDate = ProjDate2JDate(pjdate);
return (JDate2ODBCDateTime(jDate));
}
function ProjDate2ODBCDate(pjdate)
{
if (typeof(pjdate) != 'number' || pjdate == -1)
return null;
var jDate = ProjDate2JDate(pjdate);
return (JDate2ODBCDate(jDate));
}
function DATE2ProjDate( vtdate )
{
var intFirstPrjDay = 84 * 365 + 22;   
var intLastPrjDay = 84 * 365 + 22;    
var intCalUnit = 24 * 60 * 10;        
var intDays = 0, dblTime = 0, intProjDays = 0, intProjTime = 0 ;
intDays = Math.floor(vtdate);
if ((intDays < intFirstPrjDay) || (intDays > intLastPrjDay))
return -1;  
intProjDays = intDays - intFirstPrjDay + 1;
dblTime = vtdate - intDays;
intPrjTime = Math.Round(dblTime * intCalUnit);
return Number((intPrjDays << 16) | intPrjTime);
}
function ProjDate2DATE( pjdate )
{
if (typeof(pjdate) != 'number' || pjdate == -1)
return null;
var intFirstPrjDay = 84 * 365 + 22;   
var intCalUnit = 24 * 60 * 10;        
var intPrjDays = 0, dblPrjTime = 0;
intPrjDays = (pjdate >> 16) + intFirstPrjDay - 1;
dblPrjTime = (pjdate & (0x0000FFFF)) / intCalUnit;
return Number(intPrjDays + dblPrjTime);
}
function ProjDate2QueryDateTime(pjdate)
{
return ProjDate2ODBCDateTime(pjdate);
}
function JDate2QueryDateTime(dDate)
{
return JDate2ODBCDateTime(dDate);
} 
function ProjDate2QueryDate(pjdate)
{
return ProjDate2ODBCDate(pjdate);
}
function JDate2QueryDate(date)
{
return JDate2ODBCDate(date);
} 
function DateOnly( dDate )
{
if (dDate.constructor == Date)
{
var dRetDate = new Date( dDate.getTime() );  
dRetDate.setHours(0,0,0,0);
return dRetDate;
}
else
return (dDate & 0xFFFF0000); 
}
function JDate2ProjDate( dDate )
{
var baseDate     = new Date(0);
var firstPrjDate = new Date('1/1/1984 00:00:00');
var lastPrjDate  = new Date('1/1/2050 00:00:00');
var firstPrjDay  = Math.floor(firstPrjDate.getTime()/8.64e7) - Math.floor(baseDate.getTime()/8.64e7);
var lastPrjDay   = Math.floor(lastPrjDate.getTime() /8.64e7) - Math.floor(baseDate.getTime()/8.64e7);
var days = Math.floor(DateOnly(dDate).getTime()/8.64e7); 
if ((days < firstPrjDay) || (days > lastPrjDay))
return -1;  
var prjDays = days - firstPrjDay + 1;
var prjTime = Math.round(((dDate.getHours() * 3600) + (dDate.getMinutes() * 60) + dDate.getSeconds()-3) / 6);
return ((prjDays << 16) | prjTime);
}
function JDate2DATE( date )
{
return date.getVarDate();
}
</SCRIPT>
