<%
var oStringsErr = oLocalizedStrings.LoadStringTable( IDST_ADMIN ); 
%>
function GetErrorMsg(nErr)
{
if (typeof(nErr)=='undefined')   
return "";
switch (nErr)
{
case 0 :
return "";
case <%=const_nPJWEB_E_SETTING_INTEGRITY%> :      
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_SETTING_ALERT))%>");
case <%=const_nPJWEB_E_ADMIN_TABLE_NOT_INIT%> :   
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_UNINIT_ALERT))%>");
case <%=const_nPJWEB_E_MODE_EXCLUSIVE%> :   
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_EXCL_ALERT))%>");
case <%=const_nPJWEB_E_INVALID_RESNAME%> :         
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_INVALIDRESNAME_ALERT))%>");    
case <%=const_nPJWEB_E_INVALID_NTACCOUNT%> :       
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_INVALIDNTACCT_ALERT))%>");
case <%=const_nPJWEB_E_RESOURCE_DUPLICATE%> :      
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_DULPRES_ALERT))%>");
case <%=const_nPJWEB_E_RESOURCE_NOT_EXIST%> :      
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_NONEXISTRES_ALERT))%>"); 
case <%=const_nPJWEB_E_RESOURCE_NAME_CHANGED%> :   
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_NAMECHGED_ALERT))%>");
case <%=const_nPJWEB_E_RESOURCE_ROLE_INVALID%> : 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_INVALIDROLE_ALERT))%>"); 
case <%=const_nPJWEB_E_INACTIVE_MANAGER%> : 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_INACTIVEMGR_ALERT))%>");    
case <%=const_nPJWEB_E_INACTIVE_RESOURCE%> :                 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_INACTIVERES_ALERT))%>");     
case <%=const_nPJWEB_E_RESOURCE_NO_SELFMERGED%> :                 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_SELFMERGE_ALERT))%>");     
case <%=const_nPJWEB_E_NTACCOUNT_ONLY%> : 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_NTONLY_ALERT))%>");
case <%=const_nPJWEB_E_PROJACCOUNT_ONLY%> : 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_PJONLY_ALERT))%>");
case <%=const_nPJWEB_E_NO_AUTHENTICATION_ALLOWED%> : 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_NOAUTH_ALERT))%>"); 
case <%=const_nPJWEB_E_MGR_CANT_CREATE_ACCOUNT%> : 
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_NONEWACCT_ALERT))%>");
case <%=const_nPJWEB_E_PWD_NOT_CONFIRMED%>:
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_PWDNOTCONFIRMED_ALERT))%>");
case <%=const_nPJWEB_E_PWD_NOT_MIN_LENGTH%>:
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_PWDNOTMIN_ALERT))%>");
case <%=const_nPJWEB_E_PWD_CANT_HASH%>:
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_PWDHASH_ALERT))%>");
case <%=const_nPJWEB_W_NTACCOUNT_ONLY_DISABLE_CURRENT_LOGON%>:
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_NTDISABLECURRENT_ALERT))%>");
case <%=const_nPJWEB_W_PJACCOUNT_ONLY_DISABLE_CURRENT_LOGON%>:
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_PJDISABLECURRENT_ALERT))%>");
case <%=const_nPJWEB_E_MERGE_SHARED_ASSIGNS_CONFLICT%>:        
case <%=const_nPJWEB_E_MERGE_SHARED_STATUS_RESPONSE_CONFLICT%>:
case <%=const_nPJWEB_E_MERGE_ASSIGN_LEAD_ROLE_CONFLICT%>:      
case <%=const_nPJWEB_E_MERGE_SHARED_STATUS_REQUEST_CONFLICT%>:
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_MERGE_ALERT))%>");
default:
return unescape("<%=escape(oStringsErr.GetString(IDS_ADMIN_GENERAL_ALERT))%>");
}
}
function DisplayErrorMsg(nErr, sAppend, nStyle)
{
var nArgLen = arguments.length;
if (nArgLen<1 || !nErr)
return;
switch (nArgLen)
{
case 1 :
sAppend = '';
case 2 :
nStyle = <%= (vbOKOnly | vbExclamation) %>;
break;
default:
break;
}
var sErr = GetErrorMsg(nErr) + ' ' ;
sErr += sAppend;
alert(sErr);
}
