<!-- #include file="../Library/Constants/ADOConstants.asp" -->
<!-- #include file="../Library/datetime.asp"-->
<!-- #include file="../Includes/dbname.inc" -->
<SCRIPT LANGUAGE="JScript" RUNAT="Server">

function PJQuery()
{
if (typeof(Application(const_appPjQuery))=='undefined')
Response.redirect(ApplicationVirtualPath()+'Logon/expired.asp');
this.adoLockType     = adLockReadOnly;
this.adoCursorType   = adOpenStatic;
this.oQueryObject  = Application( const_appPjQuery );
this.oCookie       = null;
this.bBeginTrans   = false;
this.adoUseLockType   = null;
this.adoUseCursorType = null;
this.Connect         = PJQuery_Connect;
this.Disconnect      = PJQuery_Disconnect;
this.KillConnections = PJQuery_KillConnections;
this.OpenADORecordset = PJQuery_OpenADORecordset;
this.OpenRecordset   = PJQuery_OpenRecordset;
this.ExecSQL         = PJQuery_ExecSQL;
this.SetLockType     = PJQuery_SetLockType;
this.SetCursorType   = PJQuery_SetCursorType;
this.SafeUpdate      = PJQuery_SafeUpdate;
this.GetParameters          = PJQuery_GetParameters;
this.SetLockAndCursorType   = PJQuery_SetLockAndCursorType;
this.ResetLockAndCursorType = PJQuery_ResetLockAndCursorType;
}
function PJQuery_Connect( bBeginTransaction, bServerCursor )
{
if (arguments.length >= 1)
this.bBeginTrans = bBeginTransaction;
var lCursorType = adUseNone;
if (arguments.length == 2)
lCursorType = (bServerCursor ? adUseServer : adUseClient);
this.adoLockType = (this.bBeginTrans) ? adLockOptimistic : adLockReadOnly;
var sURL = Request.ServerVariables('URL').Item;
var i1,i2,i;
var iStart = 0;
if (sURL.charAt(0) == '/' || sURL.charAt(0) == '\\')
iStart = 1;
i1 = sURL.indexOf('/',iStart);
i2 = sURL.indexOf('\\',iStart);
if      (i1 == -1)  i = i2;
else if (i2 == -1)  i = i1;
else if (i1 <  i2)  i = i1;
else                i = i2;
this.oCookie = null;
if (i != -1)
{
this.oCookie=this.oQueryObject.Connect( sURL.substr(iStart,i - iStart), this.bBeginTrans, lCursorType, Session.CodePage );
if (typeof(this.oCookie)!='object')
{
this.oCookie=null;
Response.redirect(ApplicationVirtualPath()+'Logon/expired.asp');
}
}
return (this.oCookie != null)
}
function PJQuery_Disconnect( bCommitTransaction )
{
if (arguments.length == 0)
bCommitTransaction = this.bBeginTrans;
this.oQueryObject.Disconnect( this.oCookie, this.bBeginTrans ? bCommitTransaction : false);
}
function PJQuery_KillConnections()
{
}
function PJQuery_SafeUpdate(rs)
{
if (typeof(this.oCookie)!='object' || this.oCookie == null)
return;
this.oCookie.SafeUpdate(rs);
}
function PJQueryDate( dDatePj )
{
if (dDatePj.constructor == Date)
dDatePj = JDate2ProjDate(dDatePj);
this.qdStartDate = ProjDate2QueryDate(dDatePj);
this.qdEndDate   = ProjDate2QueryDate(dDatePj + const_ProjDayUnit);
}
function PJQueryDateTime( dDatePj )
{
if (dDatePj.constructor == Date)
this.qdDate = JDate2QueryDateTime(dDatePj);
else  
this.qdDate = ProjDate2QueryDateTime(dDatePj);
}
function PJQueryDateRange( dStartDatePj, dEndDatePj, nDays )
{
if (dStartDatePj.constructor == Date)
{
dStartDatePj = JDate2ProjDate(dStartDatePj);
}  
if ((typeof(dEndDatePj) != 'undefined') 
&& (dEndDatePj != null) 
&& (dEndDatePj.constructor == Date))
{  
dEndDatePj = JDate2ProjDate(dEndDatePj);
}  
if (arguments.length == 1)
nDays = 0;
if ((typeof(dEndDatePj) != 'undefined') && (dEndDatePj != null))
{
this.qdEndDate = ProjDate2QueryDate(dEndDatePj);
} 
else
{
this.qdEndDate = ProjDate2QueryDate(dStartDatePj + ((nDays+1) * const_ProjDayUnit));
}  
this.qdStartDate = ProjDate2QueryDate(dStartDatePj);
}
function PJQueryDateTimeRange( dStartDatePj, dEndDatePj, nDays )
{
if (dStartDatePj.constructor == Date)
{
this.qdStartDate = JDate2QueryDateTime(dStartDatePj);
}  
else  
{
this.qdStartDate = ProjDate2QueryDateTime(dStartDatePj);
}  
if (arguments.length == 1)
nDays = 0;
if ((typeof(dEndDatePj) != 'undefined') && (dEndDatePj != null))
{ 
if (dEndDatePj.constructor == Date)
{
this.qdEndDate = JDate2QueryDateTime(dEndDatePj);
}
else
{
this.qdEndDate = ProjDate2QueryDateTime(dEndDatePj);
}
}
else
{
if (dStartDatePj.constructor == Date)
{
var dEndDate = new Date;
dEndDate.setDate( dStartDatePj.getDate() + nDays);
this.qdEndDate = JDate2QueryDateTime(dEndDate);
}
else
{
this.qdEndDate = ProjDate2QueryDateTime(dStartDayPj + ((nDays+1) * const_ProjDayUnit));
}  
} 
}
function PJQuery_GetParameters( aArgs )
{
if (typeof(aArgs)=='undefined' || aArgs==null || aArgs.length < 2 || (aArgs.length == 2 && aArgs[1]==null))
return null;
var aQueryParameters = new Array;
if (typeof(aArgs[1])=='object' && aArgs[1].constructor == Array)
return aArgs[1];
for(var i=1, j=0; i < aArgs.length; i++)
{
if (typeof(aArgs[i])=='object')
{
if (aArgs[i].constructor == Date)
aArgs[i] = new PJQueryDate( aArgs[i] );
if  ((aArgs[i].constructor == PJQueryDateRange) ||
(aArgs[i].constructor == PJQueryDateTimeRange) ||
(aArgs[i].constructor == PJQueryDate))
{
aQueryParameters[j++] = aArgs[i].qdStartDate;
aQueryParameters[j++] = aArgs[i].qdEndDate;
continue;
}
if (aArgs[i].constructor == PJQueryDateTime) 
aQueryParameters[j++] = aArgs[i].qdDate;
}
aQueryParameters[j++] = aArgs[i];
}
return aQueryParameters;
}
function PJQuery_SetLockAndCursorType()
{
if (this.adoUseLockType == null)
this.adoUseLockType = this.adoLockType;
if (this.adoUseCursorType == null)
this.adoUseCursorType = this.adoCursorType;
}
function PJQuery_ResetLockAndCursorType()
{
this.adoUseLockType = null;
this.adoUseCursorType = null;
}
function PJQuery_OpenADORecordset( nQueryId ) 
{
this.SetLockAndCursorType();
var adoRecordset = this.oQueryObject.Query( this.oCookie, nQueryId, this.GetParameters( arguments ), adCmdText, this.adoUseCursorType, this.adoUseLockType);
this.ResetLockAndCursorType();
return adoRecordset;
}
function PJQuery_OpenRecordset( nQueryId ) 
{
var adoRS = this.OpenADORecordset( nQueryId, this.GetParameters( arguments ));
if (adoRS == null)
return null;
return new PJRecordset( adoRS, this );
}
function PJQuery_ExecSQL( nQueryId ) 
{
this.oQueryObject.QueryNoResult( this.oCookie, nQueryId, this.GetParameters( arguments ), adCmdText );
}
function PJQuery_SetLockType( adoType )
{
this.adoUseLockType = adoType;
}
function PJQuery_SetCursorType( adoType )
{
this.adoUseCursorType = adoType;
}
function PJRecordset( adoRS, oPJQueryObj )
{
this.adoRS = adoRS;
this.RecordCount = adoRS.RecordCount;  
this.oPJQuery = oPJQueryObj;
this.sIdentityColumnName = null;
this.nIdentity = null;
this.GetColumn                = PJRecordset_GetColumn;
this.GetColumnSize            = PJRecordset_GetColumnSize;
this.GetColumnAsNumber        = PJRecordset_GetColumnAsNumber;
this.GetColumnAsLong          = PJRecordset_GetColumnAsLong;
this.GetColumnAsBoolean       = PJRecordset_GetColumnAsBoolean;
this.GetColumnAsJDate         = PJRecordset_GetColumnAsJDate;
this.GetColumnAsProjDate      = PJRecordset_GetColumnAsProjDate;
this.GetIdentity              = PJRecordset_GetIdentity;
this.SetColumn                = PJRecordset_SetColumn;
this.Close                    = PJRecordset_Close;
this.MoveFirst                = PJRecordset_MoveFirst;
this.MoveNext                 = PJRecordset_MoveNext;
this.MoveLast                 = PJRecordset_MoveLast;
this.Move                     = PJRecordset_Move;
this.Delete                   = PJRecordset_Delete;
this.Update                   = PJRecordset_Update;
this.AddNew                   = PJRecordset_AddNew;
this.EOF                      = PJRecordset_EOF;
this.Filter                   = PJRecordset_Filter;
}
function PJRecordset_Close()
{
this.adoRS.Close( );
this.adoRS = null;
}
function PJRecordset_GetColumn( sColumnName, sDefaultValue )
{
if (arguments.length == 2)
{
if (typeof(this.adoRS(sColumnName)) == 'undefined')
return vDefaultValue;
}
return this.adoRS(sColumnName).value;
}
function PJRecordset_GetColumnSize( sColumnName )
{
return this.adoRS(sColumnName).DefinedSize;
}
function PJRecordset_GetColumnAsNumber( sColumnName, nDefaultValue )
{
if (arguments.length == 2)
{
if (typeof(this.adoRS(sColumnName)) == 'undefined')
return nDefaultValue;
}
return Number(this.adoRS(sColumnName).value);
}
function PJRecordset_GetColumnAsLong( sColumnName, nDefaultValue )
{
if (arguments.length == 2)
{
if (typeof(this.adoRS(sColumnName)) == 'undefined')
return nDefaultValue;
}
return parseInt(this.adoRS(sColumnName).value);
}
function PJRecordset_GetColumnAsBoolean( sColumnName, bDefaultValue )
{
if (arguments.length == 2)
{
if (typeof(this.adoRS(sColumnName)) == 'undefined')
return bDefaultValue;
}
return Boolean(Number(this.adoRS(sColumnName).value));
}
function PJRecordset_GetColumnAsJDate(sColumnName, nDefaultValue) 
{
if (arguments.length < 2)
nDefaultValue = new Date(0);
if ( (typeof(this.adoRS(sColumnName)) == 'undefined') ||
(this.adoRS(sColumnName).value == null) )
return nDefaultValue;
return new Date(this.adoRS(sColumnName).value);
}
function PJRecordset_GetColumnAsProjDate(sColumnName, nDefaultValue) 
{
if (arguments.length < 2)
nDefaultValue = 0;
if ( (typeof(this.adoRS(sColumnName)) == 'undefined') ||
(this.adoRS(sColumnName).value == null) )
return nDefaultValue;
return (JDate2ProjDate(new Date(this.adoRS(sColumnName).value)));
}
function PJRecordset_GetIdentity()
{
if (this.nIdentity == null)
{
this.adoRS.MoveLast();
this.nIdentity = Number(this.adoRS(this.sIdentityColumnName).value);
}  
return this.nIdentity;
}
function PJRecordset_SetColumn( sColumnName, value, bIsProjDate )
{
if (typeof(value) == 'boolean')
{
value = value ? dbTRUE : dbFALSE;
}
else if (value != null)
{
if ((typeof(value) != 'undefined') && (value.constructor == Date))
{
value = JDate2DATE(value); 
}  
else
{
if ((typeof(bIsProjDate) != 'undefined') && (bIsProjDate))
{
value = ProjDate2DATE(value);
}
}
}  
this.adoRS(sColumnName).value = value;
}
function PJRecordset_MoveFirst()
{
this.adoRS.MoveFirst();
}
function PJRecordset_MoveNext()
{
this.adoRS.MoveNext();
}
function PJRecordset_MoveLast()
{
this.adoRS.MoveLast();
}
function PJRecordset_Move(row,adoBookmark)
{
this.adoRS.Move(row,adoBookmark);
}
function PJRecordset_Delete()
{
this.adoRS.Delete();
this.RecordCount = this.adoRS.RecordCount;
}
function PJRecordset_Update()
{
this.adoRS.Update();
}
function PJRecordset_AddNew( nIdentityQueryID, sIdentityColumnName )
{
this.nIdentity = null;
this.sIdentityColumnName = sIdentityColumnName;
this.adoRS.AddNew();
if (arguments.length == 2)
{
this.oPJQuery.SetLockType( adLockReadOnly );
var rsAuto = this.oPJQuery.OpenRecordset(nIdentityQueryID, sIdentityColumnName);
if (rsAuto != null)
{
this.nIdentity = rsAuto.GetColumnAsLong('AutoNumber')
this.adoRS(sIdentityColumnName).value = this.nIdentity;
rsAuto.Close();
}  
}
}
function PJRecordset_EOF()
{
return this.adoRS.EOF;
}
function PJRecordset_Filter( sFilter )
{
this.adoRS.Filter = sFilter;
this.RecordCount = this.adoRS.RecordCount;
}  
</SCRIPT>

<%// Copyright 1990-2000 Microsoft Corporation. All rights reserved.%>
